function iOSInitNativeJs(){
	if(!plus || plus.os.name == "Android"){return;}
	// 声明的JS“扩展插件别名”
	var _BARCODE = 'NativeJsPlugin',
		B = window.plus.bridge;
	var NativeJsPlugin = {
		getUserNetState: function(successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
				successCallback(args);
			},
			fail = typeof errorCallback !== 'function' ? null : function(code) {
				errorCallback(code);
			};
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法  
			return B.exec(_BARCODE, "getUserNetState", [callbackID]);
		},
		abcBankCallBack: function(successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
				successCallback(args);
			},
			fail = typeof errorCallback !== 'function' ? null : function(code) {
				errorCallback(code);
			};
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法  
			return B.exec(_BARCODE, "abcBankCallBack", [callbackID]);
		},
		openWxSubscribeMessage: function(Argus1, Argus2,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
				successCallback(args);
			},
			fail = typeof errorCallback !== 'function' ? null : function(code) {
				errorCallback(code);
			};
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法  
			return B.exec(_BARCODE, "openWxSubscribeMessage", [callbackID, Argus1, Argus2]);
		},
		openVideoToolVC: function(successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null : function(args) {
				successCallback(args);
			},
			fail = typeof errorCallback !== 'function' ? null : function(code) {
				errorCallback(code);
			};
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法  
			return B.exec(_BARCODE, "openVideoToolVC", [callbackID]);
		},
		
	}
	window.plus.nativeJsPlugin = NativeJsPlugin;
}
/*
 * 获取网络权限
 */
function iOSGetUserNetState(resultCode, callback) {
	if(plus.os.name == "Android" || resultCode != "FAILED_NETWORK"){
		callback(false);
		return;
	}
 	plus.nativeJsPlugin.getUserNetState(function(result) {
    		if(result != "0" && result != "1") {
    			callback(false);
    			return;
    		}
    		callback(true);
		confirmDialog("", "网络请求失败，请确认网络权限是否被禁止", "取消", "去确认", function sureCallback() {}, function cancelCallback() {
			plus.ios.invoke("NativeJsTool", "openAlbumReject");
		});
	}, function(result) {
		callback(false);
	});
}

/*
 * 获取农行支付结果
 */
function iOSAbcBankCallBack(callback) {
	if(plus.os.name == "Android"){
		return;
	}
 	plus.nativeJsPlugin.abcBankCallBack(function(result) {
 		if(result){
		 	callback(result);
		 }
	},function(result) {});
}
/*
 * 微信订阅消息
 */
function iOSOpenWxSubscribeMessage(scene, reserved, callback) {
 	plus.nativeJsPlugin.openWxSubscribeMessage(scene.toString(), reserved,function(result) {
 		if(result){
		 	callback(result);
		 }
	},function(result) {});
}
/*
 * 录制视频
 */
function iOSOpenVideoToolVC(callback) {
 	plus.nativeJsPlugin.openVideoToolVC(function(result) {
 		if(result){
		 	callback(result);
		 }
	},function(result) {});
}
