var DO_OUT = 1001;
var myScrolls = [], isLoadingMore = [], isNoMore = [], starts = [];
/*初始化vue*/
var vueObj = new Vue({
	el: '#main',
	data: {
		immersed: window.immersed,
		sliderIndex: 0,
		datas: [[], [], []]
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			var self = plus.webview.currentWebview();
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//人员变化监听
			window.addEventListener("onPersonChanged", function(event){
				starts[0] = 0;
				vueObj.loadData(0);
				myScrolls[0].scrollTo(0, -67, 0);
				starts[1] = 0;
				vueObj.loadData(1);
				myScrolls[1].scrollTo(0, -67, 0);
				starts[2] = 0;
				vueObj.loadData(2);
				myScrolls[2].scrollTo(0, -67, 0);
			});
			//scroller初始化
			initScroller();
			//加载TAGS数据
			vueObj.loadData(0);
		});
	},
	methods: {
		/**
		 * 加载数据
		 */
		loadData: function(index) {
			webCall2("/app/delivery/ums/dms/user/listData", {
				offset: starts[index],
				limit: 20,
				workStatus: index===0?'':(index===1?'1':'2')
			}, "list" + index, vueObj.onSuccess, vueObj.onErrorBefore);
		},
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch (requestCode){
			case DO_OUT: //强制下班
				mui.fire(plus.webview.currentWebview(), "onPersonChanged", {});
				break;
			default:
				//判断当前数据是加载的第几个tab
				var oprationIndex = 0;
				for(var i=0; i<vueObj.datas.length; i++){
					if(requestCode == ("list"+i)){
						oprationIndex = i;
						break;
					}
				}
				//更新数据
				vueObj.datas[oprationIndex] = (starts[oprationIndex] == 0 ? data.rows : vueObj.datas[oprationIndex].concat(data.rows));
				//使用Set方法更新数组
				Vue.set(vueObj.datas, oprationIndex, vueObj.datas[oprationIndex]);
				
				starts[oprationIndex] = vueObj.datas[oprationIndex].length;
				//无数据图
				setNoDataBackground("list" + oprationIndex, vueObj.datas[oprationIndex].length === 0, oprationIndex);
				document.getElementById("itemMobileSpan" + oprationIndex).style.display = vueObj.datas[oprationIndex].length < 4 ? "none" : "";
				closePullStatus(data.rows, oprationIndex);
				break;
			}
		},
		onErrorBefore: function(resultCode, resultMsgDesc, requestCode){
			onError(resultCode, resultMsgDesc);
			closeWaiting();
			if((requestCode+"").indexOf("list") === 0){
				closePullStatus();
				for(var i=0; i<vueObj.datas.length; i++){
					if(starts[i] == 0 && requestCode == ("list"+i)){
						document.getElementById("itemMobileSpan" + i).style.display = "none";
					}
				}
			}
		},
		/**
		 * 监听slider切换
		 */
		onSliderChange: function(e) {
			vueObj.sliderIndex = e.detail.slideNumber;
			//关闭下拉上拉刷新
			closePullStatus();
			//切换后数据为空，则加载数据
			if(vueObj.datas[vueObj.sliderIndex].length <= 0){
				starts[vueObj.sliderIndex] = 0;
				vueObj.loadData(vueObj.sliderIndex);					
			}
		},
		/**
		 * 列表点击
		 */
		onItemClick: function(e) {
			var item = vueObj.datas[e.currentTarget.dataset.listIndex][e.currentTarget.dataset.index];
			openWindow("personAdd", "../center/person_add.html", false, {
				person: item
			});
		},
		onButtonClick: function(e) {
			switch (e.currentTarget.dataset.type){
			case "off": //强制下班
				var item = vueObj.datas[e.currentTarget.dataset.listIndex][e.currentTarget.dataset.index];
				confirmDialog("操作提示", "确定要将【" + item.userName + "】强制下班吗？", "取消", "强制下班", null, function(){
					webCall2("/app/delivery/ums/dms/user/clockOut4Manager", {
						dmsUserId: item.id
					}, DO_OUT, vueObj.onSuccess, vueObj.onErrorBefore);
				});
				break;
			default:
				break;
			}
		}
	}
});

/*iscroll下拉刷新组件初始化需要*/
function initScroller(){
	var pullDownAction = function() {
		isNoMore[vueObj.sliderIndex] = false;
		setTimeout(function() {
			starts[vueObj.sliderIndex] = 0;
			vueObj.loadData(vueObj.sliderIndex);
		}, 300);
	};
	var pullLoadMoreAction = function() {
		if (isLoadingMore[vueObj.sliderIndex]) {
			return;
		}
		if (isNoMore[vueObj.sliderIndex]) {
			myScrolls[vueObj.sliderIndex].refresh();
			return;
		};
		setTimeout(function() {
			isLoadingMore[vueObj.sliderIndex] = true;
			vueObj.loadData(vueObj.sliderIndex);
		}, 300);
	};
	for (var i = 0; i < vueObj.datas.length; i++) {
		starts[i] = 0;
		myScrolls[i] = iscrollAssist.newVerScrollForPull(mui('#list' + i), pullDownAction, pullLoadMoreAction);
		myScrolls[i].refresh();
		isLoadingMore[i] = false;
		isNoMore[i]= false;
	}
}

/**
 * 关闭上拉/下拉刷新 
 */
function closePullStatus(data, oprationIndex) {
	if(data){
		document.getElementById("itemMobileSpan" + oprationIndex).innerHTML = data.length < 20 ? "没有更多数据了" : "正在加载...";
		isNoMore[oprationIndex] = data.length < 20;
		isLoadingMore[oprationIndex] = (starts[oprationIndex] > 0) ? false : true;
	}
	//刷新列表
	Vue.nextTick(function(){
		for(var i=0; i<myScrolls.length; i++){
			myScrolls[i].refresh();
		}
		setTimeout(function(){
			myScrolls[vueObj.sliderIndex].refresh();
		}, 200);
	});
}

// 设置背景
function setNoDataBackground(elementId, isNoData, oprationIndex) {
	if(isNoData) {
		document.getElementById(elementId).style.backgroundSize = "100% auto";
		document.getElementById(elementId).style.backgroundRepeat = "no-repeat";
		document.getElementById(elementId).style.backgroundPosition = "center";
	}
	document.getElementById(elementId).style.backgroundImage = isNoData ? "url(../../img/no_content_bg.png)" : "none";
	document.getElementById("itemMobileSpan" + oprationIndex).style.display = isNoData ? "none" : "";
}

//新增按钮
document.getElementById("addBtn").addEventListener("tap", function(){
	openWindow("personAdd", "../center/person_add.html", false);
});