var DO_JS_CONFIG = 1001, DO_JS_VALID = 1002, QUERY_RECURIT = 1003, QUERY_USER_CARD_INFO = 1004,
	REQ_ICBC_TRANS_INFO = 1005, REQ_ICBC_CHAIN = 1006, REQ_GRANT_STATUS = 1007, 
	ICBC_AUTH_FLAG = 'icbc_auth_flag_';
var jsUrls = {};
var isSetUrlLoading = true;
var callThirdBackFlag = false; //返回是否由第三方处理
mui.init({
	//监听返回事件
	beforeback: function() {
		setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
		return true;
	}
});

var subpage_style = {
	top: '44px',
	bottom: '0px',
	position: 'fiexd',
	zindex: '997',
	background: 'transparent',
    kernelRecovery:'reload',
    contentAdjust: false
};
var subPage;
var subPageLoadedUrl = null;
var pageLoaded = false;
var shareDialog;//分享弹框
var payDialog;//支付密码弹框
var self;
var canBack = 0;
var pays = {};
var icbcService, icbcTargetUrl, icbcFlag, appAuthUrl, commonDialog;
var topoffset, noSafeTopoffset;
//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	handleStatusBar();
	//状态栏设置
	if(plus.webview.currentWebview().source == "payCodeNew") {
		setStatusBarMain();
	} else {
		setStatusBarDefault();
	}
	plus.webview.currentWebview().addEventListener("popGesture", function(e) {
		if(e.type == 'start'){ //侧滑开始
			setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
		}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
			setStatusBarDefault();
		}
	}, false);
	initShareServices();
	//插件初始化
	iOSInitNativeJs();
	self = plus.webview.currentWebview();
	setCache(WEBVIEW_PAGE_ID, self.id);
	//添加common弹框子页面 先隐藏
	commonDialog = plus.webview.create("common_dialog.html", "common_dialog", subpage_style);
	self.append(commonDialog);
	commonDialog.hide();
	commonDialog.onloaded = function(){
		appendChildPage(self.webUrl);
		//处理招聘页
		handleRecruitUrl(self.webUrl);
	}
	//添加分享弹框子页面 先隐藏
	shareDialog = plus.webview.create("web_more_dialog.html", "share_dialog", subpage_style);
	self.append(shareDialog);
	shareDialog.hide();
	if(!payDialog && (self.webUrl.indexOf('pay.xiaofubao.com') >= 0 || self.webUrl.indexOf("paygray.xiaofubao.com") >= 0 || self.webUrl.indexOf("unifiedpay.lsmart.wang") >= 0)){
		payDialog = plus.webview.create("../wallet/pay_pwd_pop.html", "payPwdPop", subpage_style,{sourceId:self.id, fromThirdAuth: true, webPageId: self.id,});
		self.append(payDialog);
		payDialog.hide(); 
	}
	//获取支付通道
	getPayChannels();
	//监听分享点击
	window.addEventListener("onShareCallSuccessListener", function(event){
		onJsSDKCallBack(0, "showShareDialog", "click");
	});
	//监听微信登录返回
	window.addEventListener("onWechatLoginCallSuccessListener", function(event){
		onJsSDKCallBack(0, "onLocalWechatLogin", event.detail);
	});
	//监听更多操作
	window.addEventListener("onMoreDialogListener", function(event){
		onMoreDialogClick(event.detail.type);
	});
	//监听融E购授权返回
	window.addEventListener("onIcbcAuthSureBack", function(event){
		setCache(ICBC_AUTH_FLAG + getCache(USER_ID_KEY), "yes");
		handleIcbcEBuy();
	});
	//监听应用授权返回
	window.addEventListener("onAppAuthSureBack", function(event){
		continueLoadSubpage(appAuthUrl);
	});
	//android监听农行支付回调
	window.addEventListener("onABCBankPayBack", function(event){
		onJsSDKCallBack(0, "startLocalBankABC", true);
	});
});
/*
 * 处理顶部状态栏
 */
function handleStatusBar() {
	topoffset = '44px';
	noSafeTopoffset = "68px";
	var immersed = 0;
	var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
	if(ms && ms.length >= 3) {
		immersed = parseFloat(ms[2]);
	}
	if(!immersed) {
		subpage_style.top = topoffset;
		return;
	}
	topoffset= (immersed+44) +'px';
    noSafeTopoffset=(immersed+68)+'px';
    document.getElementById("noSafeTxt").style.top = topoffset; 
    subpage_style.top = topoffset;
}
/**
 * 添加子窗口
 */
function appendChildPage(webUrl){
	if(webUrl && webUrl.indexOf("pay.xiaofubao.com") < 0){
		document.getElementById("rightOpeBtn").className = "title-ope-div com-display-flex";
	}
	//移除子窗口
	if(subPage) self.remove(subPage);
	if(webUrl.indexOf(".biyouxinli.com") > 0){
		webUrl += ("&unionId=" + getCache(USER_ID_KEY)); //连信智能机器人
	}else{
		webUrl = getUnionUrl(webUrl);
	}
	outputLog("webUrl: " + webUrl);
	//添加子窗口
	subPage = plus.webview.create(webUrl, 'subPage'+new Date().getTime(), subpage_style);
	//去除四六级查询的广告
	if(webUrl.indexOf("https://weixiao.qq.com/apps/public/cet/index.html") == 0){
		subPage.setCssText('.wx-cet-wrap .wx-cet-ad,.wx-cet-content .wx-cet-tips{display:none !important;}');
	}
	//拦截页面跳转地址
	setSubPageUrlLoading();
	//页面开始加载事件
	subPage.onloading = onWebLoading;
	//页面加载完成
	subPage.onloaded = onWebLoaded;
	self.append(subPage);
}

/**
 * 处理招聘链接
 */
function handleRecruitUrl(webUrl){
	var activityCode = getParamByName(webUrl, "activityCode");
	if(activityCode != 'recruit1001') return;
	//获取定位信息
	if(!checkUserPermission("LOCATION", null, function(){
		handleRecruitUrl(webUrl);
	}, null)){
		return;
	} 
	plus.geolocation.getCurrentPosition(function(p) {
		setCache(LOCATION_POSITION_KEY, JSON.stringify(p));
		var city = p.address.city;
		if(city && city.indexOf("市") > 0){
			city = city.substring(0, city.length - 1);
		}
		webCall2("/compus/recruit/getAreaCode", {
			name: city
		}, QUERY_RECURIT, onSuccess, onErrorBefore);
	}, function(e) {
		var userPosition = getCache(LOCATION_POSITION_KEY);
		if(e && e.code && e.code == 3 && userPosition){ //超时使用缓存中的定位信息
			var p = JSON.parse(userPosition);
			var city = p.address.city;
			if(city && city.indexOf("市") > 0){
				city = city.substring(0, city.length - 1);
			}
			webCall2("/compus/recruit/getAreaCode", {
				name: city
			}, QUERY_RECURIT, onSuccess, onErrorBefore);
			return;
		}
		toast("定位失败，请检查您的定位权限或打开GPS重试");
	}, {
		provider: 'amap', //amap>baidu>system
		coordsType: 'gcj02', 
		timeout:5000,//超时时间 5s
	});
}

/**
 * 设置页面拦截地址 
 */
function setSubPageUrlLoading(){
	if(subPage == null || !isSetUrlLoading) return;
	isSetUrlLoading = false;
	var match = ".*loadMall.*|.*\.dccnet\.com\.cn/phonelogin.*|.*\.icbc\.com\.cn/phonelogin.*|.*app\.yunmazhihui\.com/.*|.*unifiedauth\.lsmart\.wang/authoriz/getCode*.*|.*authgray\.xiaofubao\.com/authoriz/getCode*.*|.*auth\.xiaofubao\.com/authoriz/getCode*.*|.*open\.xiaofubao\.com/routeauth/auth/route/ua/authorize/getCode*.*|.*open\.lsmart\.wang/routeauth/auth/route/ua/authorize/getCode*.*";
	if(plus.os.name == "iOS"){
		match = match + "|.*mclient.alipay.com.*|.*alipay://alipayclient.*|.*weixin://wap/pay.*|.*wx.tenpay.com/.*";
	}
	subPage.overrideUrlLoading({
		mode: "reject",
		effect: "instant",
		match: match
	}, urlLoadingCallback);
}

/**
 * 获取参数
 * @param {Object} name
 */
function getParamByName(url, name) {
	if(!url || url.indexOf("?") < 0) return null;
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = url.split("?")[1].match(reg);
	if(r != null) return decodeURIComponent(r[2]);
	return null;
}

/**
 * 拦截页面回调 
 */
function urlLoadingCallback(e) {
	outputLog("urlLoadingCallback.url: " + e.url);
	var url = e.url;
	//支付发起监听
	if(url && (url.indexOf("http://app.yunmazhihui.com/?ope=") == 0 || url.indexOf("native://app.yunmazhihui.com/?ope=") == 0)){
		var ope = getParamByName(url, "ope");
		if(ope == 'pay' && url.indexOf("#") > 0){ //支付
			var _url = url.substring(0, url.indexOf("#"));
			var type = getParamByName(_url, "type");
			var amount = getParamByName(_url, "amount");
			var tranNo = getParamByName(_url, "tran_no");
			var orderStr = url.substring(url.indexOf("#") + 1);
			var payChannel, order;
			if(type == 'alipay'){ //支付宝
				payChannel = pays['alipay'];
				order = orderStr;
			}else if(type == 'wxpay'){ //微信
				payChannel = pays['wxpay'];
				order = JSON.parse(orderStr);
			}else{
				return;
			}
			plus.payment.request(payChannel, order, function(result){
				outputLog('----- 支付成功 -----' + JSON.stringify(result));
				jumpToPaySuccess(payChannel.description, amount, null, null, tranNo);
			},function(e){
				outputLog('----- 支付失败 -----' + JSON.stringify(e));
			});
		}else if(ope == 'payResult'){ //支付成功回调
			var payType = getParamByName(url, "pay_type");
			var money = getParamByName(url, "money");
			var cpTranNo = getParamByName(url, "cp_tran_no");
			var tranNo = getParamByName(url, "tran_no");
			var appName = getParamByName(url, "appName");
			jumpToPaySuccess(payType, money, appName, cpTranNo, tranNo);
		}else if(ope == 'jssdk'){ //jssdk相关接口
			executeJssdk(url);
		}
		subPage.loadURL("");
		return;
	}else if(url && (url.indexOf("unifiedauth.lsmart.wang") > 0 || url.indexOf("authgray.xiaofubao.com") > 0 || url.indexOf("auth.xiaofubao.com") > 0 || url.indexOf("open.xiaofubao.com") > 0 || url.indexOf("open.lsmart.wang") > 0)){
		url = getAuthUnionUrl(url);
		//判断授权状态
		var appid = getParamByName(url, "appid") ? getParamByName(url, "appid") : getParamByName(url, "ymAppId");
		var authType = getParamByName(url, "authType");
		if(appid && authType){
			appAuthUrl = url;
			webCall2("/compus/application/getGrantStatus", {applicationId:appid,authType:authType}, REQ_GRANT_STATUS, onSuccess, onErrorBefore);
			return;
		}
		continueLoadSubpage(url);
		return;
	}else if(url && url.indexOf("/phonelogin?") > 0){ //融E购登录
		icbcService = getParamByName(url, "service");
		icbcTargetUrl = getParamByName(url, "targetUrl");
		icbcFlag = getParamByName(url, "flag");
		handleIcbcEBuy();
		return;
	}else if(url && url.indexOf("native://loadMall?") == 0){ //融E购登录
		var data = JSON.parse(decodeURIComponent(url).substring(18));
		if(data && data.ticket){
			var serviceUrl = decodeURIComponent(icbcService);
			continueLoadSubpage(serviceUrl + (serviceUrl.indexOf("?") > 0 ? "&ticket=" : "?ticket=") + data.ticket);
		}
		return;
	} else if(url && plus.os.name == "iOS" && url.indexOf("alipay://") == 0){//支付宝支付
		var alipayArray = url.split("?");
		if(alipayArray.length < 2){
			//不加这一行，iOS会进入死循环
			continueLoadSubpage(e.url);
			return;
		}
		var params =  JSON.parse(decodeURIComponent(alipayArray[1]));
        params.fromAppUrlScheme = "pay.xiaofubao.com";
        var paramsStr = encodeURIComponent(JSON.stringify(params));
        url = alipayArray[0] + "?" + paramsStr;
        plus.runtime.openURL(url);
		return;
	}else if (url && plus.os.name == "iOS" && url.indexOf("https://mclient.alipay.com") == 0) { //支付宝支付
		plus.ios.invoke("NativeJsTool", "openAlipayWebview:", url);
		return;
	} else if (url && plus.os.name == "iOS" && url.indexOf("weixin://") == 0) { //微信支付
		//		url = url + "&redirect_url=pay.xiaofubao.com://";
		plus.runtime.openURL(url);
		return;
	} else if (url && plus.os.name == "iOS" && url.indexOf("https://wx.tenpay.com") == 0) { //微信支付
		if(plus.webview.getWebviewById('webPageWxPay')){
			closeWebview('webPageWxPay');
		} 
		var webPageWxPay = plus.webview.create(url, 'webPageWxPay', {
			top: '0px',
			height: '0%',
			kernelRecovery: "reload",
			contentAdjust: false,
			additionalHttpHeaders:{Referer:'pay.xiaofubao.com://'}
		});
		webPageWxPay.hide();
		return;
	}
	//不加这一行，iOS会进入死循环
	continueLoadSubpage(e.url);
}

/**
 * 拦截地址后继续加载页面
 */
function continueLoadSubpage(url, isAuth){
	if(plus.os.name == 'iOS'){
		isSetUrlLoading = true;
		if(isAuth){
			appendChildPage(url);
			return;
		}
		subPage.loadURL(url);
		subPage.overrideUrlLoading(null, null);
	}else{
		subPage.loadURL(url);
	}
}

/**
 * 跳转支付成功页
 */
function jumpToPaySuccess(typeDes, amount, appName, cpTranNo, tranNo){
	if(typeDes && amount){
		openWindow("payResult", "pay_result.html", false, {
			type: typeDes,
			money: amount,
			appName: appName,
			cpTranNo: cpTranNo,
			tranNo: tranNo,
			statusBarType: plus.webview.currentWebview().statusBarType,
			isCloseOpener:true,
		}, null, true);
		return;
	}
	setTimeout(function(){
		closeWebview(subPage.id);
		closeWebview(self.id);
	}, 500);
}

/**
 * 跳转支付失败页面
 */
function jumpToPayError(errorContent){
	if(errorContent){
		openWindow("authError", "../center/auth_error.html", false, {
			errorMessage: errorContent,
			statusBarType: plus.webview.currentWebview().statusBarType,
			isCloseOpener:true,
		}, null, true);
		return;
	}
	setTimeout(function(){
		closeWebview(subPage.id);
		closeWebview(self.id);
	}, 500);
}

var rightBtnFunc;
/**
 * 执行JSSDK解析
 * @param {Object} url
 */
function executeJssdk(url){
	var method = getParamByName(url, "method");
	switch (method){
	case 'checkLocalJsApi': //判断当前客户端版本是否支持指定JS接口
		var apis = ['getLocalUserSchoolInfo' ,'setLocalNavRightButton', 'openLocalSchoolSelect','openLocalBestPay', 'openLocalBindCard', 'openLocalSetPayPwd', 'openLocalAbcAuth','openLocalCertification','openLocalWalletStatus', 'preVerifyJSAPI', 'showShareDialog', 'imagePreview', 'geoLocation',
			'openMapLocation', 'localCopyContent', 'showChooseImageDialog', 'startScanQRCode', 'closeApplication', 'historyLocalBack', 'openLocalPaySuccess','openLocalPayError', 'openLocalAppPayment', 'openLocalCardActive', 'startLocalBankCCB', 'getLocalUserCardStatus',
			'checkLocalJsApi', 'checkThirdPayStatus', 'isLocalBankABCAvaiable', 'startLocalBankABC', 'checkLocalAppIsInstalled', 'localSharePictureLine', 'setLocalNavHeaderTitle', 'setLocalNavHeaderStyle', 'callLocalAppCommonPop', 'openLocalCommonPage',
			'onLocalWechatLogin', 'closeLocalBluetoothAdapter', 'getLocalBluetoothAdapterState', 'getLocalBluetoothDevices', 'getLocalConnectedBluetoothDevices', 'onLocalBluetoothAdapterStateChange', 'onLocalBluetoothDeviceFound', 'callLocalWXSubscribeMessage',
			'openLocalBluetoothAdapter', 'startLocalBluetoothDevicesDiscovery', 'stopLocalBluetoothDevicesDiscovery', 'closeLocalBLEConnection', 'createLocalBLEConnection', 'getLocalBLEDeviceCharacteristics', 'getLocalBLEDeviceServices', 
			'notifyLocalBLECharacteristicValueChange', 'onLocalBLECharacteristicValueChange', 'onLocalBLEConnectionStateChange', 'readLocalBLECharacteristicValue', 'writeLocalBLECharacteristicValue', 'openLocalSystemNavi', 'openLocalWxMinProgram',
			'callLocalThirdBackListener', 'saveImageToLocalGallery', 'setBrightness', 'getBrightness'];
		var jsApiName = getParamByName(url, "jsApiName");
		var checkResult = false;
		for(var i in apis){
			if(jsApiName == apis[i]){
				checkResult = true;
				break;
			}
		}
		onJsSDKCallBack(0, method, checkResult);
		break;
	case 'getBrightness': //获取屏幕亮度0-1
		var brightness = plus.screen.getBrightness();
		onJsSDKCallBack(0, "getBrightness", brightness);
		break;
	case 'setBrightness': //设置屏幕亮度0-1
		var brightness = getParamByName(url, "brightness");
		if(brightness){
			plusSetBrightness(parseFloat(brightness));
		}
		onJsSDKCallBack(0, "setBrightness", true);
		break;
	case 'onLocalWechatLogin': //调用微信登录
		mui.fire(shareDialog, "onWechatLoginCallListener", {});
		break;
	case 'callLocalAppCommonPop': //调用本地弹窗(toast/alert/dialog/loading等)
		callLocalAppCommonPop(url);
		break;
	case 'closeApplication': //关闭页面
		closeWebview(subPage.id);
		closeWebview(self.id);
		setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
		break;
	case 'historyLocalBack': //返回上一页,如果是最后一页,则关闭
		callThirdBackFlag = false;
		mui.back();
		break;
	case 'callLocalThirdBackListener': //set设置返回监听 cancel取消返回监听 back取消监听并返回
		var type = getParamByName(url, "type");
		if(type === 'set'){
			callThirdBackFlag = true;
		}else if(type === 'cancel'){
			callThirdBackFlag = false;
		}else if(type === 'back'){
			callThirdBackFlag = false;
			mui.back();
		}
		onJsSDKCallBack(0, "callLocalThirdBackListener", {result:'success'});
		break;
	case 'openLocalSystemNavi': //调用本地系统导航
		if(plus.os.name == "iOS"){
			var type = getParamByName(url, "type");
			var latitude = parseFloat(getParamByName(url, "latitude"));
			var longitude = parseFloat(getParamByName(url, "longitude"));
			if(type == 'wgs84'){ //坐标需要使用gcj-02坐标
				desPoint = GPS.gcj_encrypt(latitude, longitude);
			}else{
				desPoint = {lon: longitude, lat: latitude};
			}
			//导入导航类
	        var PhoneGPSViewController = plus.ios.importClass("PhoneGPSViewController");
	        //创建导航实例对象
	        var phoneGpsVC = plus.ios.newObject("PhoneGPSViewController");
	        phoneGpsVC.plusSetAttribute("endX", parseFloat(desPoint.lat));
	        phoneGpsVC.plusSetAttribute("endY",parseFloat(desPoint.lon));
	        plus.ios.invoke(phoneGpsVC,"startNav");
	        return;
		}
		//获取当前位置
		if(!checkUserPermission("LOCATION", null, function(){
			executeJssdk(url);
		})){
			toast("定位失败")
			return;
		} 
		showWaiting();
		plus.geolocation.getCurrentPosition(function(p) {
			closeWaiting();
			outputLog("Geolocation info: " + JSON.stringify(p));
			setCache(LOCATION_POSITION_KEY, JSON.stringify(p));
			//准备导航数据
			var type = getParamByName(url, "type");
			var latitude = parseFloat(getParamByName(url, "latitude"));
			var longitude = parseFloat(getParamByName(url, "longitude"));
			var address = getParamByName(url, "address");
			var desPoint = null;
			if(type == 'gcj02'){ //坐标需要使用WGS-84坐标
				desPoint = GPS.gcj_decrypt_exact(latitude, longitude);
			}else{
				desPoint = {lon: longitude, lat: latitude};
			}
			var startPoint = GPS.gcj_decrypt_exact(p.coords.latitude, p.coords.longitude);
			plus.maps.openSysMap(new plus.maps.Point(desPoint.lon, desPoint.lat), address, new plus.maps.Point(startPoint.lon, startPoint.lat));
		}, function(e) {
			closeWaiting();
			toast("定位失败，请检查您的定位权限或打开GPS重试");
		}, {
			provider: 'amap', //amap>baidu>system
			coordsType: 'gcj02'
		});
		break;
	case 'checkLocalAppIsInstalled': //判断本地是否安装某应用
		var andAppid = getParamByName(url, "andAppid");
		var iosAppid = getParamByName(url, "iosAppid");
		if(!andAppid && !iosAppid){
			onJsSDKCallBack(1, method, "参数异常");
			return;
		}
		var isAppInstalled = false;
		if(plus.os.name == 'Android'){
			var Utils = plus.android.importClass("com.app.yunma.common.Utils");
			var main = plus.android.runtimeMainActivity();
			isAppInstalled = Utils.isAppExists(main, andAppid);
		}else{
			var NativeJsTool = plus.ios.importClass("NativeJsTool");
			var nativeJsTool = plus.ios.newObject("NativeJsTool");
			var result =  plus.ios.invoke(nativeJsTool, "isInstallApplication:", iosAppid);
			isAppInstalled = result == 1 ? true : false;
		}
		onJsSDKCallBack(0, method, isAppInstalled);
		break;
	case 'checkThirdPayStatus': //判断第三方支付状态
		var payType = getParamByName(url, "payType");
		if(payType != 'wxpay' && payType != 'alipay'){
			onJsSDKCallBack(1, method, "传入的支付类型不支持");
			return;
		}
		var payChannel = pays[payType];
		if(payChannel && payChannel.serviceReady){
			onJsSDKCallBack(0, method, true);
		}else if(payChannel){
			checkServices(payChannel);
			onJsSDKCallBack(1, method, "未安装支付客户端");
		}else{
			onJsSDKCallBack(1, method, "传入的支付类型不支持");
		}
		break;
	case 'openLocalCardActive': //调用卡激活页面（手机号和身份证）
		var phone = getParamByName(url, "phone");
		if(!phone || phone.length != 11){
			onJsSDKCallBack(1, method, "参数异常");
			return;
		}
		openWindow("activeCardFirst", "../card/active_card_first.html", false, {
			statusBarType: getCurrentStatusBarType(),
			fromThirdAuth: true,
			webPageId: self.id,
			phone: phone
		});
		break;
	case 'openLocalBindCard': //调用绑卡页面
		if(getUserInfo().bindCardStatus == 1){ //已绑卡
			onJsSDKCallBack(0, "openLocalBindCard", true);
			return;
		}
		openBindCardByParams(true, self.id);
		break;
	case 'localSharePictureLine': //图片分享(先保存本地，再分享)
		shareLocalPicture(getParamByName(url, "data"));
		onJsSDKCallBack(0, method, true);
		break;
	case 'saveImageToLocalGallery': //保存图片到相册
		var data = getParamByName(url, "data");
		if(data && data.indexOf("http") == 0){
			saveWebImgToGallery(data);
		}else{
			saveBase64ImgToGallery(data);
		}
		onJsSDKCallBack(0, method, true);
		break;
	case 'setLocalNavHeaderTitle': //设置页面标题
		if(!pageLoaded){
			setTimeout(function(){
				executeJssdk(url);
			}, 400);
			return;
		}
		var title = getParamByName(url, "title");
		var header = document.getElementById("title");
		if(title && title.length > 0 && title != 'undefined'){
			document.getElementById("title").innerHTML = title;
			onJsSDKCallBack(0, method, true);
		} else {
			onJsSDKCallBack(1, method, "参数异常");
		}
		break;	
	case 'setLocalNavHeaderStyle': //设置标题栏样式
		var statusType = getParamByName(url, "statusType");
		var startColor = getParamByName(url, "startColor");
		var endColor = getParamByName(url, "endColor");
		var header = document.getElementById("header");
		if(statusType == 'main'){
			setStatusBarMain();
			header.style.backgroundImage = "none";
			if(!header.classList.contains('main')) header.classList.add("main");
			if(!header.classList.contains('no-line')) header.classList.add("no-line");
			document.getElementById("moreIcon").src = "images/more_icon_white.png";
			document.getElementById("closeIcon").src = "images/close_white.png";
		}else{
			setStatusBarDefault();
			if(header.classList.contains('main')) header.classList.remove("main");
			if(header.classList.contains('no-line')) header.classList.remove("no-line");
			document.getElementById("moreIcon").src = "images/more_icon.png";
			document.getElementById("closeIcon").src = "images/close.png";
		}
		header.style.backgroundColor = endColor;
		if(startColor && startColor != 'undefined'){
			header.style.backgroundImage = "-webkit-linear-gradient(" + startColor + "," + endColor + ")";
		}
		onJsSDKCallBack(0, method, true);
		break;
	case 'openLocalCertification': //打开实名认证界面
		var from =  getParamByName(url, "from");
		var eacctType =  getParamByName(url, "eacctType");
		openAuthPage(null, from?from:"jssdk", true, self.id, null, eacctType);
		break;
	case 'openLocalWalletStatus': //打开钱包异常状态
		var eacctStatus =  getParamByName(url, "eacctStatus");
		var eacctType =  getParamByName(url, "eacctType");
		var from =  getParamByName(url, "from");
		var userInfo = getUserInfo();
		//钱包状态不一致 更新用户钱包状态
		if(parseInt(eacctStatus) > 0 && eacctType && userInfo.eacctStatus != setEacctStatus(eacctStatus, eacctType)){
			userInfo.eacctStatus = setEacctStatus(eacctStatus, eacctType);
			updateLoginInfo(null, userInfo);	
		}
		if(eacctStatus == 1){
			onJsSDKCallBack(0, method, true);
			return;
		}
		openAuthPage(null, from?from:"jssdk", false, self.id, true, eacctType);
		break;
	case 'preVerifyJSAPI': //权限验证
		if(!pageLoaded){
			setTimeout(function(){
				executeJssdk(url);
			}, 400);
			return;
		}
		webCall2("/compus/jssdk/config", {
			appid: getParamByName(url, "appId"),
			timestamp: getParamByName(url, "timestamp"),
			nonceStr: getParamByName(url, "nonceStr"),
			signature: getParamByName(url, "signature"),
			jsApiList: getParamByName(url, "jsApiList"),
			url: subpageGetUrl()
		}, DO_JS_CONFIG, onSuccess, onErrorBefore);
		break;
	case 'getLocalUserCardStatus': //获取用户绑卡信息
		webCall2("/compus/user/device/getUserActiveStatus", {}, QUERY_USER_CARD_INFO, onSuccess, onErrorBefore);
		break;
	case 'setLocalNavRightButton': //设置标题右侧按钮
		var btnUrl = getParamByName(url, "url");
		if(btnUrl == 'localShare'){ //分享按钮
			var href = getParamByName(url, "href");
			var shareTitle = getParamByName(url, "shareTitle");
			var shareContent = getParamByName(url, "shareContent");
			var title = getParamByName(url, "title");
			var content = getParamByName(url, "content");
			var imgUrl = getParamByName(url, "imgUrl");
			if(!href || href.indexOf("http") != 0 || !title || !content){
				onJsSDKCallBack(1, method, "输入的参数不合法");
				return;
			}
			mui.fire(shareDialog, "onShareCallListener", {
				shareTitle: shareTitle, shareContent: shareContent, href: href, title: title, content: content, imgUrl: imgUrl, hideDialog: true
			});
		}
		return; 
		//以下代码暂时过期
		var btnText = getParamByName(url, "text");
		if(btnUrl == 'closeButton'){ //事件按钮
			document.getElementById("rightBtn").style.display = "none";
			onJsSDKCallBack(0, "setLocalNavRightButton", "close");
			return;
		}else if(btnUrl){
			document.getElementById("rightBtn").innerText = btnText;
			document.getElementById("rightBtn").style.display = "block";
			//先移除事件
			if(rightBtnFunc) document.getElementById("rightBtn").removeEventListener("tap", rightBtnFunc);
			//再添加事件
			rightBtnFunc = function(){
				if(btnUrl == 'localButton'){ //事件按钮
					onJsSDKCallBack(0, "setLocalNavRightButton", "click");
				}else if(btnUrl == 'scanButton'){ //扫一扫
					var needResult = getParamByName(url, "needResult"); //0应用处理 1直接返回
					openWindow("scan", "../scan/scan.html", false, {
						statusBarType: STATUS_BAR_DEFAULT_KEY,
						needResult: needResult,
						webPageId: self.id
					});
				}else if(btnUrl == 'localShare'){ //分享按钮
					var href = getParamByName(url, "href");
					var shareTitle = getParamByName(url, "shareTitle");
					var shareContent = getParamByName(url, "shareContent");
					var title = getParamByName(url, "title");
					var content = getParamByName(url, "content");
					var imgUrl = getParamByName(url, "imgUrl");
					if(!href || href.indexOf("http") != 0 || !title || !content){
						onJsSDKCallBack(1, method, "输入的参数不合法");
						return;
					}
					mui.fire(shareDialog, "onShareCallListener", {
						shareTitle: shareTitle, shareContent: shareContent, href: href, title: title, content: content, imgUrl: imgUrl
					});
				}else if(btnUrl && btnUrl.indexOf("http") < 0){ //打开内部链接
					openWindow(btnUrl, btnUrl, false, {statusBarType: STATUS_BAR_DEFAULT_KEY});
				}else{ //打开网页
					openWindow(btnUrl, '../common/web_page.html', false, { //权益券
						"webUrl": btnUrl,
						statusBarType: STATUS_BAR_DEFAULT_KEY
					}, null, false);
				}
			}
			document.getElementById("rightBtn").addEventListener("tap", rightBtnFunc);
			onJsSDKCallBack(0, "setLocalNavRightButton", true);
			return;
		}
		onJsSDKCallBack(1, "setLocalNavRightButton", false);
		break;
	case 'openLocalAppPayment': //调用微信支付宝支付
		var paramsStr = getParamByName(url, "orderStr");
		var payType = getParamByName(url, "type");
		var payChannel, order;
		if(payType == 'alipay'){ //支付宝
			payChannel = pays['alipay'];
			order = orderStr;
		}else if(payType == 'wxpay'){ //微信
			payChannel = pays['wxpay'];
			order = JSON.parse(orderStr);
		}else{
			return;
		}
		plus.payment.request(payChannel, order, function(result){
			outputLog('----- 支付成功 -----' + JSON.stringify(result));
			onJsSDKCallBack(0, method, true);
		},function(e){
			outputLog('----- 支付失败 -----' + JSON.stringify(e));
		});
		break;
	case 'openLocalPaySuccess': //调用支付成功页
		var tranNo = getParamByName(url, "tranNo");
		var cpTranNo = getParamByName(url, "cpTranNo");
		var payType = getParamByName(url, "payType");
		var money = getParamByName(url, "money");
		var appName = getParamByName(url, "appName");
		if(!payType || !money){
			onJsSDKCallBack(1, method, "参数异常");
		}
		jumpToPaySuccess(payType, money, appName, cpTranNo, tranNo);
		onJsSDKCallBack(0, method, true);
		break;
	case 'openLocalPayError': //调用支付成功页
		var errorContent = getParamByName(url, "errorContent");
		if(!errorContent){
			onJsSDKCallBack(1, method, "参数异常");
		}
		jumpToPayError(errorContent);
		onJsSDKCallBack(0, method, true); 
		break;	
	case 'openLocalBestPay': //调用电信翼支付
		var paramsStr = getParamByName(url, "paramsStr");
		if(plus.os.name == 'Android'){
			var PaymentTask = plus.android.importClass("com.bestpay.app.PaymentTask");
			var main = plus.android.runtimeMainActivity();
			var paymentTask = new PaymentTask(main);
			paymentTask.pay(paramsStr);
			main.onActivityResult = function(requestCode, resultCode, data) {
				if(requestCode == 1000 && resultCode == -1){ //支付成功
					onJsSDKCallBack(0, method, true);
				}
			}
		}else{
			var NativeJsTool = plus.ios.importClass("NativeJsTool");
			var nativeJsTool = plus.ios.newObject("NativeJsTool");
			function getPayResult(e) {
				var payResult = nativeJsTool.plusGetAttribute('wingsPayResult');
				var resultCode = JSON.parse(payResult).resultCode;
				if(resultCode == "00"){ //支付成功
					onJsSDKCallBack(0, method, true);
				}
				outputLog("支付结果回调" + JSON.parse(payResult).result + JSON.parse(payResult).resultCode);
			}
			var delegate = plus.ios.implements("NativeJsToolDelegate", {"getWingsPayResult:": getPayResult});
			nativeJsTool.plusSetAttribute("delegate", delegate);
			plus.ios.invoke(nativeJsTool, "openBestPay:", paramsStr);
		}
		break;
	case 'isLocalBankABCAvaiable': //是否具备调起本地农行支付的条件
		onJsSDKCallBack(0, method, isBankABCAvaiable());
		break;
	case 'startLocalBankCCB': //调起建行支付
		var orderStr = getParamByName(url, "orderStr");
		var payType = getParamByName(url, "payType");
		if(!orderStr || !payType){
			onJsSDKCallBack(1, method, "参数异常");
			return;
		}
		if(plus.os.name == 'Android'){
			var CcbMorePay = plus.android.importClass("com.ccb.ccbnetpay.CcbMorePay");
			var HashMap = plus.android.importClass("java.util.HashMap");
			var main = plus.android.runtimeMainActivity();
			var ccbPayResultListener = plus.android.implements("com.ccb.ccbnetpay.message.CcbPayResultListener", {
				onSuccess: function(result){
					console.error("SUCCESS: " + result.get("SUCCESS"))
					console.error("ERRORMSG: " + result.get("ERRORMSG"))
					console.error("ERRORCODE: " + result.get("ERRORCODE"))
					console.error("TXCODE: " + result.get("TXCODE"))
					console.error("STATUS: " + result.get("STATUS"))
					console.error("INFORMURL: " + result.get("INFORMURL"))
					console.error("CCBPARAM: " + result.get("CCBPARAM"))
					console.error("SYS_EVT_TRACE_ID: " + result.get("SYS_EVT_TRACE_ID"))
				},
				onFailed: function(msg) {
					console.error(msg)
				}
			});
			CcbMorePay.getInstance().pay(main, orderStr, ccbPayResultListener);
		}else{
			var NativeJsTool = plus.ios.importClass("NativeJsTool");
			var nativeJsTool = plus.ios.newObject("NativeJsTool");
			function getCcbPayResult(e) {
				var payResult = nativeJsTool.plusGetAttribute('wingsPayResult');
				var result = JSON.parse(payResult);
				outputLog("支付结果回调" + result);
			}
			var delegate = plus.ios.implements("NativeJsToolDelegate", {"getCcbBankPayResult:": getCcbPayResult});
			nativeJsTool.plusSetAttribute("delegate", delegate);
			plus.ios.invoke(nativeJsTool, "openCcbBankPay:", orderStr);
		}
		break;
	case 'startLocalBankABC': //调起农行支付
		var isAvaiable = isBankABCAvaiable();
		if(!isAvaiable){
			onJsSDKCallBack(1, method, "客户端不支持农行支付");
			return;
		}
		var orderId = getParamByName(url, "orderId");
		if(!orderId){
			onJsSDKCallBack(1, method, "参数异常");
			return;
		}
		if(plus.os.name == 'Android'){
			var BankABCCaller = plus.android.importClass("com.bankabc.caller.BankABCCaller");
			var main = plus.android.runtimeMainActivity();
			plus.android.importClass("java.lang.Class");
			BankABCCaller.startBankABC(main, "cn.com.yunma.school.app", "io.dcloud.PandoraEntry", "pay", orderId);		
		}else{
			var NativeJsTool = plus.ios.importClass("NativeJsTool");
			var nativeJsTool = plus.ios.newObject("NativeJsTool");
			plus.ios.invoke(nativeJsTool, "openAbcBank:", orderId);
			//获取农行支付结果
			iOSAbcBankCallBack(function(result){
				onJsSDKCallBack(0, method, true);
			});
		}
		break;
	case 'localCopyContent': //复制功能
		var content = getParamByName(url, "content");
		var hideToast = getParamByName(url, "hideToast");
		copyLink(content, hideToast);
		onJsSDKCallBack(0, method, true);
		break;	
	case 'openLocalPayPwdPop': //打开支付密码弹框
		if(!payDialog) {
			onJsSDKCallBack(1, method, '版本不支持');
			return;
		}
		var type = getParamByName(url, "type");
		if(type == "1"){ //指纹弹框
			isSetPayFinger(function(result){
				if(result){
					mui.fire(payDialog, "showFingerPop", {});
				} else {
					mui.fire(payDialog, "showPwdPop", {});
				}
			});
		}else if(type == "2"){ //错误提示
			var errorMsg = getParamByName(url, "errorMsg");
			mui.fire(payDialog, "payPwdPopError", {errorMsg: errorMsg});
		} else if(type == "3") {//关闭页面
			mui.fire(payDialog, "payPwdPopClose",{});
		}
		onJsSDKCallBack(0, method, true);
		break;	
	case 'openLocalSetPayPwd': //设置支付密码
		var type = getParamByName(url, "type");
		if(type == "0"){ //打开设置支付密码界面
			openWindow("payPwdSet", "../wallet/pay_pwd_set.html", false, {
				fromThirdAuth: true,
				webPageId: self.id,
				statusBarType: getCurrentStatusBarType()
			}, null, true);
		} else { // 打开验证支付密码信息界面
			openWindow("payBankAuth", "../wallet/pay_bank_auth.html", false, {
				fromThirdAuth: true,
				webPageId: self.id,
				statusBarType: getCurrentStatusBarType()
			}, null, true);
		}
		break;	
	case 'openLocalAbcAuth': //打开农行签约页面
		var tranNo = getParamByName(url, "tranNo");
		openWindow("abcAuthFirst", "../center/abc_auth_first.html", false, {
			tranNo: tranNo,
			fromThirdAuth: true,
			webPageId: self.id,
			statusBarType: getCurrentStatusBarType()
		}, null, true);
		break;
	case 'callLocalWXSubscribeMessage': //APP获取订阅消息授权
		var scene = getParamByName(url, "scene");
		var reserved = getParamByName(url, "reserved");
		if(!scene || parseInt(scene) < 1 || !reserved){
			onJsSDKCallBack(1, method, "参数不合法");
			return;
		}
		//转为整形
		scene = parseInt(scene);
		//调起微信
		if(plus.os.name == 'iOS'){
			iOSOpenWxSubscribeMessage(scene, reserved, function(result){
				onJsSDKCallBack(0, method, {openid: result.openid, action: result.action, reserved: result.reserved, scene: result.scene});
			});
		}else{
			var Utils = plus.android.importClass("com.app.yunma.common.Utils");
			Utils.callWXSubscribeMessage(scene, reserved, plus.android.implements("cn.com.yunma.school.app.wxapi.SubscribeMessageCallBack", {
				"onResult": function(openid, action, reserved, scene) {
					onJsSDKCallBack(0, method, {openid: openid, action: action, reserved: reserved, scene: scene});
				}
			}));
		}
		break;
	case 'startScanQRCode': //扫一扫
		var needResult = getParamByName(url, "needResult"); //0应用处理 1直接返回
		openWindow("scan", "../scan/scan.html", false, {
			statusBarType: STATUS_BAR_DEFAULT_KEY,
			needResult: needResult,
			webPageId: self.id
		});
		break;
	case 'geoLocation': //获取当前坐标
		var type = getParamByName(url, "type");
		if(!type) type = "wgs84";
		if(type != "wgs84" && type != "gcj02"){
			onJsSDKCallBack(1, method, "定位类型[" + type + "]不支持");
			return;
		}
		if(!checkUserPermission("LOCATION", null, function(){
			jssdkGetLocation(type, method);
		}, function(){
			onJsSDKCallBack(1, method, "定位失败，请检查您的定位权限或打开GPS重试");
		})){
			return;
		} 
		jssdkGetLocation(type, method);
		break;
	case 'imagePreview': //图片预览
		onJsSDKCallBack(0, method, true);
		var urls = getParamByName(url, "urls");
		var current = getParamByName(url, "current");
		if(!current) current = 0;
		plus.nativeUI.previewImage(urls.split(","), {
			indicator: 'number',
			current: parseInt(current),
			onLongPress: function(e){ //图片长按时，弹出保存按钮
				var imageUrl = e.url;
				plus.nativeUI.actionSheet({title:"请选择",
					cancel:"取消",
					buttons:[{title:"保存图片"}]},
					function(e){
						if(e.index != 1) return;
						//保存图片到相册
						saveWebImgToGallery(imageUrl);
					}
				);
			}
		});
		break;
	case 'openMapLocation': //打开地图显示位置
		onJsSDKCallBack(0, method, true);
		openWindow("mapLocation", "../common/map_location.html", false, {
			statusBarType: STATUS_BAR_DEFAULT_KEY,
			coordsType: getParamByName(url, "type"),
			latitude: getParamByName(url, "latitude"),
			longitude: getParamByName(url, "longitude"),
			address: getParamByName(url, "address")
		});
		break;
	case 'showShareDialog': //打开分享弹窗
		var shareTitle = getParamByName(url, "shareTitle");
		var shareContent = getParamByName(url, "shareContent");
		var href = getParamByName(url, "href");
		var title = getParamByName(url, "title");
		var content = getParamByName(url, "content");
		var imgUrl = getParamByName(url, "imgUrl");
		if(!href || href.indexOf("http") != 0 || !title || !content){
			onJsSDKCallBack(1, method, "输入的参数不合法");
			return;
		}
		onJsSDKCallBack(0, method, true);
		mui.fire(shareDialog, "onShareCallListener", {
			shareTitle: shareTitle, shareContent: shareContent, href: href, title: title, content: content, imgUrl: imgUrl
		});
		break;
	case 'openLocalSchoolSelect': //调用学校选择
	case 'getLocalUserSchoolInfo': //获取用户学号等信息
	case 'openLocalCommonPage': //公共-打开页面
	case 'showChooseImageDialog': //图片选择并上传
		jsUrls[method] = url;
		callJsValid(method);
		break;
	case 'closeLocalBluetoothAdapter': //关闭蓝牙模块
		plus.bluetooth.closeBluetoothAdapter({
			success:function(e){
				outputLog('close success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('close failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'getLocalBluetoothAdapterState': //获取本机蓝牙适配器状态
		plus.bluetooth.getBluetoothAdapterState({
			success:function(e){
				outputLog('state success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('state failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'getLocalBluetoothDevices': //获取已搜索到的蓝牙设备
		plus.bluetooth.getBluetoothDevices({
			success:function(e){
				var devices = e.devices;
				outputLog('get devices success: '+devices.length);
				for(var i in devices){
					outputLog(i+': '+JSON.stringify(devices[i]));
				}
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('get devices failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'getLocalConnectedBluetoothDevices': //根据uuid获取处于已连接的设备
		var services = getParamByName(url, "services"); //要获取设备的uuid列表
		var params = {
			success:function(e){
				var devices = e.devices;
				outputLog('connected devices success: '+devices.length);
				for(var i in devices){
					outputLog(i+': '+JSON.stringify(devices[i]));
				}
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('connected devices failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		};
		if(services != null) params.services = services.split(",");
		plus.bluetooth.getConnectedBluetoothDevices(params);
		break;
	case 'onLocalBluetoothAdapterStateChange': //监听蓝牙适配器状态变化事件
		plus.bluetooth.onBluetoothAdapterStateChange(function(e){
			outputLog('state changed: '+JSON.stringify(e));
			onJsSDKCallBack(0, method, e);
		});
		break;
	case 'onLocalBluetoothDeviceFound': //监听搜索到新设备的事件
		plus.bluetooth.onBluetoothDeviceFound(function(e){
			var devices = e.devices;
			outputLog('device found: '+devices.length);
			for(var i in devices){
				outputLog(i+': '+JSON.stringify(devices[i]));
			}
			onJsSDKCallBack(0, method, e);
		});
		break;
	case 'openLocalBluetoothAdapter': //初始化蓝牙模块
		plus.bluetooth.openBluetoothAdapter({
			success:function(e){
				outputLog('open success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('open failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'startLocalBluetoothDevicesDiscovery': //开始搜索附近的蓝牙设备
		var services = getParamByName(url, "services"); //要获取设备的uuid列表
		var allowDuplicatesKey = getParamByName(url, "allowDuplicatesKey"); //是否允许重复上报同一设备
		var interval = getParamByName(url, "interval"); //上报设备的间隔
		var params = {
			success:function(e){
				outputLog('start discovery success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('start discovery failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		};
		if(interval) params.interval = interval;
		if(allowDuplicatesKey != null) params.allowDuplicatesKey = allowDuplicatesKey;
		if(services != null) params.services = services.split(",");
		plus.bluetooth.startBluetoothDevicesDiscovery(params);
		break;
	case 'stopLocalBluetoothDevicesDiscovery': //停止搜寻附近的蓝牙外围设备
		plus.bluetooth.stopBluetoothDevicesDiscovery({
			success:function(e){
				outputLog('stop discovery success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('stop discovery failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'closeLocalBLEConnection': //断开与低功耗蓝牙设备的连接
		var deviceId = getParamByName(url, "deviceId");
		plus.bluetooth.closeBLEConnection({
			deviceId: deviceId,
			success:function(e){
				outputLog('close success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('close failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'createLocalBLEConnection': //连接低功耗蓝牙设备
		var deviceId = getParamByName(url, "deviceId");
		var timeout = getParamByName(url, "timeout"); //单位为ms（毫秒），不设置此属性表示不会超时
		plus.bluetooth.createBLEConnection({
			deviceId: deviceId,
			timeout: timeout,
			success:function(e){
				outputLog('close success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('close failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'getLocalBLEDeviceCharacteristics': //获取蓝牙设备指定服务中所有特征值(characteristic)
		var deviceId = getParamByName(url, "deviceId");
		var serviceId = getParamByName(url, "serviceId");
		plus.bluetooth.getBLEDeviceCharacteristics({
			deviceId: deviceId,
			serviceId: serviceId,
			success:function(e){
				var characteristics = e.characteristics;
				outputLog('get characteristics success: '+characteristics.length);
				for(var i in characteristics){
					outputLog(i+': '+JSON.stringify(characteristics[i]));
				}
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('get characteristics failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'getLocalBLEDeviceServices': //获取蓝牙设备的所有服务(service)
		var deviceId = getParamByName(url, "deviceId");
		plus.bluetooth.getBLEDeviceServices({
			deviceId: deviceId,
			success:function(e){
				var services = e.services;
				outputLog('get services success: '+services.length);
				for(var i in services){
					outputLog(i+': '+JSON.stringify(services[i]));
				}
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('get services failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'notifyLocalBLECharacteristicValueChange': //启用低功耗蓝牙设备特征值变化时的notify功能，订阅特征值
		var deviceId = getParamByName(url, "deviceId");
		var serviceId = getParamByName(url, "serviceId");
		var characteristicId = getParamByName(url, "characteristicId");
		var state = getParamByName(url, "state"); //是否启用 notify
		plus.bluetooth.notifyBLECharacteristicValueChange({
			deviceId: deviceId,
			serviceId: serviceId,
			characteristicId: characteristicId,
			state: state,
			success:function(e){
				var characteristics = e.characteristics;
				outputLog('get characteristics success: '+characteristics.length);
				for(var i in characteristics){
					outputLog(i+': '+JSON.stringify(characteristics[i]));
				}
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('get characteristics failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'onLocalBLECharacteristicValueChange': //监听低功耗蓝牙设备的特征值变化事件
		plus.bluetooth.onBLECharacteristicValueChange(function(e){
			outputLog('characteristics value changed: '+JSON.stringify(e));
			onJsSDKCallBack(0, method, e);
		});
		break;
	case 'onLocalBLEConnectionStateChange': //监听低功耗蓝牙设备连接状态变化事件
		plus.bluetooth.onBLEConnectionStateChange(function(e){
			outputLog('connection state changed: '+JSON.stringify(e));
			onJsSDKCallBack(0, method, e);
		});
		break;
	case 'readLocalBLECharacteristicValue': //读取低功耗蓝牙设备指定特征值的二进制数据值
		var deviceId = getParamByName(url, "deviceId");
		var serviceId = getParamByName(url, "serviceId");
		var characteristicId = getParamByName(url, "characteristicId");
		plus.bluetooth.readBLECharacteristicValue({
			deviceId: deviceId,
			serviceId: serviceId,
			characteristicId: characteristicId,
			success:function(e){
				outputLog('read characteristics success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('read characteristics failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'writeLocalBLECharacteristicValue': //向低功耗蓝牙设备指定特征值写入二进制数据
		var deviceId = getParamByName(url, "deviceId");
		var serviceId = getParamByName(url, "serviceId");
		var characteristicId = getParamByName(url, "characteristicId");
		var value = getParamByName(url, "value");
		plus.bluetooth.writeBLECharacteristicValue({
			deviceId: deviceId,
			serviceId: serviceId,
			characteristicId: characteristicId,
			value: stringToArrayBuffer(value),
			success:function(e){
				outputLog('write characteristics success: '+JSON.stringify(e));
				onJsSDKCallBack(0, method, e);
			},
			fail:function(e){
				outputLog('write characteristics failed: '+JSON.stringify(e));
				onJsSDKCallBack(1, method, e);
			}
		});
		break;
	case 'openLocalWxMinProgram': //打开微信小程序
		var id = getParamByName(url, "id");
		var path = getParamByName(url, "path");
		var type = getParamByName(url, "type");
		var webUrl = getParamByName(url, "webUrl");
		if(!id || id.length <= 0){
			onJsSDKCallBack(1, method, "输入的参数不合法");
			return;
		}
		openWxMiniProgram(id, path, type, webUrl);
		onJsSDKCallBack(0, method, true);
		break;	
	default:
		break;
	}
}

/**
 * 是否具备调起本地农行支付的条件
 */
function isBankABCAvaiable(){
	if(plus.os.name == 'Android'){
		var BankABCCaller = plus.android.importClass("com.bankabc.caller.BankABCCaller");
		var main = plus.android.runtimeMainActivity();
		return BankABCCaller.isBankABCAvaiable(main);
	}else{
		var NativeJsTool = plus.ios.importClass("NativeJsTool");
		var nativeJsTool = plus.ios.newObject("NativeJsTool");
		var result =  plus.ios.invoke(nativeJsTool, "isBankABCAvaiable");
		return result == 1 ? true : false;
	}
}

/**
 * 调用接口权限验证接口
 * @param {Object} method
 */
function callJsValid(method){
	if(!pageLoaded){
		setTimeout(function(){
			callJsValid(method);
		}, 400);
		return;
	}
	webCall2("/compus/jssdk/valid", {
		url: subpageGetUrl(),
		jsApiMethod: method
	}, DO_JS_VALID+"_"+method, onSuccess, onErrorBefore);
}

/**
 * 页面开始加载事件
 */
function onWebLoading() {
	pageLoaded = false;
	outputLog("-------------onWebLoading--------------");
}
/**
 * 页面加载完成
 */
function onWebLoaded() {
	closeWaiting();
	subPageLoadedUrl = subPage.getURL();
	outputLog("loadedURL: " + subPage.getURL());
	pageLoaded = true;
	//设置url拦截
	setSubPageUrlLoading();
	//判断是否安全链接
	if(getCache(USER_TEST_ACCOUNT) === "0"){		
		if(subpageGetUrl() && subpageGetUrl().indexOf("http://") == 0){
			subPage.setStyle({top:noSafeTopoffset});
			document.getElementById("noSafeTxt").style.display = "block";
		}else{
			subPage.setStyle({top:topoffset});
			document.getElementById("noSafeTxt").style.display = "none";
		}
	}
	//判断如果聚合支付链接,则去除右侧按钮
	if(subpageGetUrl() && subpageGetUrl().indexOf("pay.xiaofubao.com") > 0){
		document.getElementById("rightOpeBtn").className = "title-ope-div-hidden";
	}else{
		document.getElementById("rightOpeBtn").className = "title-ope-div com-display-flex";
	}
	//判断如果聚合支付链接,则添加支付密码弹框页面
	if(!payDialog && subpageGetUrl() && (subpageGetUrl().indexOf('pay.xiaofubao.com') >= 0 || subpageGetUrl().indexOf("paygray.xiaofubao.com") >= 0 || subpageGetUrl().indexOf("unifiedpay.lsmart.wang") >= 0)){
		payDialog = plus.webview.create("../wallet/pay_pwd_pop.html", "payPwdPop", subpage_style,{sourceId:self.id, fromThirdAuth: true, webPageId: self.id,});
		self.append(payDialog);
		payDialog.hide();
	}
	//修改标题
	var titleIntervalTime = 0;
	var titleInterval = setInterval(function(){
		var title = subPage.getTitle();
		if((title && title.indexOf("http") !== 0) || titleIntervalTime > 4){
			clearInterval(titleInterval);
			if (title == null || title == 'null' || title.length <= 0) {
				document.getElementById("title").innerHTML = "校帅";
			} else {
				document.getElementById("title").innerHTML = title;
			}
		}
		titleIntervalTime++;
	}, 1000);
}

//返回按钮监听
mui.back = function(){
	if(!subPage){
		setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
		closeWebview(subPage.id);
		closeWebview(self.id);
		return;
	}
	//返回由第三方处理
	if(callThirdBackFlag){
		onJsSDKCallBack(0, "callLocalThirdBackListener", {result:'back'});
		return;
	}
	subPage.canBack(function(e){
		if(e.canBack == 0){
			setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
			closeWebview(subPage.id);
			closeWebview(self.id);
		}else{
			subPage.back();
		}
	});
}
document.getElementById("canBackBtn").addEventListener("tap", function(){
	mui.back();
});
//关闭按钮监听
document.getElementById("closeBtn").addEventListener("tap", function(){
	setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
	closeWebview(subPage.id);
	closeWebview(self.id);
});
//更多按钮监听
document.getElementById("moreBtn").addEventListener("tap", function(){
	if(shareDialog) mui.fire(shareDialog, "showMorePop",{});
});
/*
 * 分享弹框
 */
mui("header.mui-bar").on("tap", "a.mui-pull-right", function(e) {
	if(shareDialog) mui.fire(shareDialog, "showMorePop",{});	
});

/**
 * 获取支付通过
 */
function getPayChannels(){
	if(plus.os.name == "iOS") return;
	// 获取支付通道
	plus.payment.getChannels(function(channels){
		for(var i in channels){
			var channel=channels[i];
			if(channel.id=='qhpay'||channel.id=='qihoo'){	// 过滤掉不支持的支付通道：暂不支持360相关支付
				continue;
			}
			pays[channel.id] = channel;
		}
		outputLog(JSON.stringify(pays));
	},function(e){
	});
}

/**
 * 检测是否安装支付服务
 */
function checkServices(channel){
	if(!channel.serviceReady){
		var txt=null;
		switch(channel.id){
		case 'alipay':
			txt='检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？';
			break;
		default:
			txt='系统未安装“'+channel.description+'”服务，无法完成支付，是否立即安装？';
			break;
		}
		plus.nativeUI.confirm(txt, function(e){
			if(e.index==0){
				channel.installService();
			}
		}, channel.description);
	}
}

/**
 * 处理工行融E购通行证（先判断钱包状态） 
 */
function handleIcbcEBuy(){
	//判断钱包状态
	var eacctStatus = getEacctStatus('ICBC');
	if (eacctStatus == 1) { //已开户
		//判断已授权，请求通行证
		if(getCache(ICBC_AUTH_FLAG + getCache(USER_ID_KEY)) == 'yes'){
			showWaiting();
			webCall2("/compus/icbc/passTransInfo", null, REQ_ICBC_TRANS_INFO, onSuccess, onErrorBefore);
			return;
		}
		//弹出授权框
		mui.fire(commonDialog, "showCommonDialog", {type:'icbc', subType:'auth'});
		return;
	}
	//钱包未开通
	mui.fire(commonDialog, "showCommonDialog", {type:'icbc', subType:'wallet'});
}

/**
 * 接口访问成功返回
 * @param {Object} data
 * @param {Object} requestCode
 */
function onSuccess(data, requestCode) {
	closeWaiting();
	if(requestCode == DO_JS_CONFIG){ //JSSDK权限验证
		onJsSDKCallBack(0, "preVerifyJSAPI", data.data);
	}else if((requestCode+'').indexOf(DO_JS_VALID+'')==0){ //JSSDK调用有效性验证
		onValidSuccess(requestCode.substring(5));
	}else if(requestCode == QUERY_RECURIT){
		appendChildPage("http://mkt.51job.com/tg/yixiaoyuan?jobarea=" + data.data);
	}else if(requestCode == QUERY_USER_CARD_INFO){
		onJsSDKCallBack(0, "getLocalUserCardStatus", data.data);
	}else if(requestCode == REQ_GRANT_STATUS){ //应用授权返回
		if(data.data.grantStatus == 0){ //需要授权
			mui.fire(commonDialog, "showCommonDialog", {type: 'app',appAuthTxt: data.data.grantContent,appAuthLogo: data.data.applicationLogo,appAuthName: data.data.applicationName});
			return;
		}
		continueLoadSubpage(appAuthUrl, true);
	}else if(requestCode == REQ_ICBC_TRANS_INFO){ //工行通行证
		var params = {
			encryptedDataToApp: data.data.enctranData.replace(/\n/g, "").replace(/\\n/g, ""),
			signDataToApp: data.data.mersignMsg,
			service: decodeURIComponent(icbcService),
			channel: '03',
			flag: icbcFlag,
			deviceId: getLocalDeviceId()
		};
		mui.ajax(icbcTargetUrl, {
			data: params,
			dataType: 'json',
			type: 'POST',
			timeout: 15000,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded',
			},
			success: function(data, textStatus, xhr){
				if(data && data.RETCODE != '2' && data.page_url){
					continueLoadSubpage(data.page_url);
				}else if(data && data.RETCODE == '2' && data.ticket){
					var serviceUrl = decodeURIComponent(icbcService);
					continueLoadSubpage(serviceUrl + (serviceUrl.indexOf("?") > 0 ? "&ticket=" : "?ticket=") + data.ticket);
				}
			},
			error: function(xhr, type, errorThrown) {
				console.error("icbcTargetUrl22: " + JSON.stringify(xhr));
			}
		});
		//调用区块链接口
		webCall2("/compus/icbc/passRecord", {channelIdentifier:data.data.channelIdentifier}, REQ_ICBC_CHAIN, onSuccess, onErrorBefore);
	}
}

/**
 * 接口访问失败返回
 * @param {Object} resultCode
 * @param {Object} resultMsgDesc
 */
function onErrorBefore(resultCode, resultMsgDesc, requestCode) {
	closeWaiting();
	if(requestCode == DO_JS_CONFIG){ //JSSDK权限验证
		onJsSDKCallBack(1, "preVerifyJSAPI", resultMsgDesc);
	}else if((requestCode+'').indexOf(DO_JS_VALID+'')==0){ //JSSDK调用有效性验证
		onJsSDKCallBack(1, requestCode.substring(5), resultMsgDesc);
	}else if(requestCode == QUERY_USER_CARD_INFO){
		onJsSDKCallBack(1, "getLocalUserCardStatus", resultMsgDesc);
	}else if(requestCode != REQ_ICBC_CHAIN){
		toast(resultMsgDesc);
	}
}

/**
 * 接口调用权限验证成功
 * @param {Object} method
 */
function onValidSuccess(method){
	var url = jsUrls[method];
	outputLog("jssdk url: " + url);
	switch (method){
	case 'startScanQRCode': //扫一扫
		var needResult = getParamByName(url, "needResult"); //0应用处理 1直接返回
		openWindow("scan", "../scan/scan.html", false, {
			statusBarType: STATUS_BAR_DEFAULT_KEY,
			needResult: needResult,
			webPageId: self.id
		});
		break;
	case 'geoLocation': //获取当前坐标
		var type = getParamByName(url, "type");
		if(!type) type = "wgs84";
		if(type != "wgs84" && type != "gcj02"){
			onJsSDKCallBack(1, method, "定位类型[" + type + "]不支持");
			return;
		}
		if(!checkUserPermission("LOCATION", null, function(){
			jssdkGetLocation(type, method);
		}, function(){
			onJsSDKCallBack(1, method, "定位失败，请检查您的定位权限或打开GPS重试");
		})){
			return;
		} 
		jssdkGetLocation(type, method);
		break;
	case 'imagePreview': //图片预览
		onJsSDKCallBack(0, method, true);
		var urls = getParamByName(url, "urls");
		var current = getParamByName(url, "current");
		if(!current) current = 0;
		plus.nativeUI.previewImage(urls.split(","), {
			indicator: 'number',
			current: parseInt(current),
			onLongPress: function(e){ //图片长按时，弹出保存按钮
				var imageUrl = e.url;
				plus.nativeUI.actionSheet({title:"请选择",
					cancel:"取消",
					buttons:[{title:"保存图片"}]},
					function(e){
						if(e.index != 1) return;
						//保存图片到相册
						saveWebImgToGallery(imageUrl);
					}
				);
			}
		});
		break;
	case 'openMapLocation': //打开地图显示位置
		onJsSDKCallBack(0, method, true);
		openWindow("mapLocation", "../common/map_location.html", false, {
			statusBarType: STATUS_BAR_DEFAULT_KEY,
			coordsType: getParamByName(url, "type"),
			latitude: getParamByName(url, "latitude"),
			longitude: getParamByName(url, "longitude"),
			address: getParamByName(url, "address")
		});
		break;
	case 'showShareDialog': //打开分享弹窗
		var shareTitle = getParamByName(url, "shareTitle");
		var shareContent = getParamByName(url, "shareContent");
		var href = getParamByName(url, "href");
		var title = getParamByName(url, "title");
		var content = getParamByName(url, "content");
		var imgUrl = getParamByName(url, "imgUrl");
		if(!href || href.indexOf("http") != 0 || !title || !content){
			onJsSDKCallBack(1, method, "输入的参数不合法");
			return;
		}
		onJsSDKCallBack(0, method, true);
		mui.fire(shareDialog, "onShareCallListener", {
			shareTitle: shareTitle, shareContent: shareContent, href: href, title: title, content: content, imgUrl: imgUrl
		});
		break;
	case 'openLocalSchoolSelect': //打开学校选择
		//如果没有选择学校，则选择学校
		var schoolCode = getCache(SCHOOL_CODE_KEY);
		var schoolName = getCache(SCHOOL_NAME_KEY);
		if(schoolCode && schoolName){
			onJsSDKCallBack(0, method, {"schoolCode":schoolCode, "schoolName":schoolName});
			return;
		}
		openWindow("selectSchool", "../login/select_school.html", false, {
			statusBarType: getCurrentStatusBarType(),
			from: 'userinfo',
			fromThirdAuth: true,
			webPageId: self.id
		}, null, true);
		break;
	case 'getLocalUserSchoolInfo': //获取用户学号等信息
		var userData = {};
		userData.userId = getCache(USER_ID_KEY);
		userData.uuToken = getCache(UU_TOKEN_KEY);
		userData.headImg = getCache(IMAGE_URL_KEY);
		var userInfo = getUserInfo();
		userData.schoolIdentityType = userInfo.schoolIdentityType;
		userData.mobilePhone = userInfo.mobilePhone;
		userData.name = userInfo.userName;
		userData.jobNo = userInfo.jobNo;
		userData.bindCardStatus = userInfo.bindCardStatus;
		userData.realNameStatus = userInfo.realNameStatus;
		userData.eacctStatus = userInfo.eacctStatus; // 0未开户 1已开户 2销户 3关闭 4失败 5受理中
		userData.realUserName = userInfo.realUserName;
		if(getCache(SCHOOL_CODE_KEY)){
			userData.schoolCode = getCache(SCHOOL_CODE_KEY);
			userData.schoolName = getCache(SCHOOL_NAME_KEY);
		}
		if(getParamByName(url, "needAccount")){
			userData.account = userInfo.account;
		}
		onJsSDKCallBack(0, method, userData);
		break;
	case 'openLocalCommonPage': //公共-打开页面
		//获取跳转链接
		var pageUrl = getParamByName(url, "pageUrl");
		if(!pageUrl) return onJsSDKCallBack(1, method, "参数异常");
		//获取参数
		var params = getParamByName(url, "params");
		if(params && params.indexOf("{") == 0){
			params = JSON.parse(params);
		}
		//获取打开页面ID
		var pageId = getParamByName(url, "pageId");
		if(!pageId) pageId = pageUrl;
		//跳转页面
		if(pageUrl.indexOf("http") == 0){
			openWindow(pageId, "../common/web_page.html", false, {
				webUrl: pageUrl,
				statusBarType: getCurrentStatusBarType()
			});
		}else{
			if(!params || params == 'undefined') params = {};
			params.statusBarType = getCurrentStatusBarType();
			params.fromOpenCommonPage = true;
			params.webPageId = self.id;
			if(pageUrl == "../center/auth_first.html"){
				openAuthPage(null, params.from, null, null, null, params.eacctType);
			}else{				
				openWindow(pageId, pageUrl, false, params);
			}
		}
		onJsSDKCallBack(0, method, true);
		break;	
	case 'showChooseImageDialog': //图片选择并上传
		var multiple = getParamByName(url, "multiple"); //1支持多张选择
		var maxNum = getParamByName(url, "maxNum");
		var uploadType = getParamByName(url, "uploadType");
		var appId = getParamByName(url, "appId");
		//调用公共图片选择上传
		popCompressSelectPic(function(isError, list){
			if(list == null || list.length < 1) {
				return;
			}
			onJsSDKCallBack(0, method, list);
		}, null, null, null, null, null, null, multiple==1?true:false, multiple==1?maxNum:null, null, uploadType, null, appId);
		break;
	default:
		break;
	}
}

/**
 * statusCode 0成功 1失败 2用户取消
 * @param {Object} statusCode
 * @param {Object} method
 * @param {Object} data
 */
function onJsSDKCallBack(statusCode, method, data){
	var resultObj = {statusCode:statusCode,method:method,data:data};
	subPage.evalJS("yischool.invokeMethodCallBack('" + JSON.stringify(resultObj) + "')");
}

/*
 * 获取坐标
 */
function jssdkGetLocation(type, method){
	plus.geolocation.getCurrentPosition(function(p) {
		outputLog("Geolocation info: " + JSON.stringify(p));
		setCache(LOCATION_POSITION_KEY, JSON.stringify(p));
		jssdkReturnGetLocation(p, type, method);
	}, function(e) {
		var userPosition = getCache(LOCATION_POSITION_KEY);
		if(e && e.code && e.code == 3 && userPosition){ //超时使用缓存中的定位信息
			var p = JSON.parse(userPosition);
			jssdkReturnGetLocation(p, type, method);
			return;
		}
		toast("定位失败，请检查您的定位权限或打开GPS重试");
		onJsSDKCallBack(1, method, "定位失败，请检查您的定位权限或打开GPS重试");
	}, {
		provider: 'amap', //amap>baidu>system
		coordsType: 'gcj02',
		timeout:5000,//超时时间 5s
	});
}
/*
 * 坐标获取后
 */
function jssdkReturnGetLocation(p, type, method){
	if(p.coordsType != type && type == "wgs84") {
		var convert = GPS.gcj_decrypt(p.coords.latitude, p.coords.longitude);
		p.coords.latitude = convert.lat.toFixed(6);
		p.coords.longitude = convert.lon.toFixed(6);
	} else if(p.coordsType != type && type == "gcj02") {
		var convert = GPS.gcj_encrypt(p.coords.latitude, p.coords.longitude);
		p.coords.latitude = convert.lat.toFixed(6);
		p.coords.longitude = convert.lon.toFixed(6);
	}
	var result = {addressObj:p.address, address:p.addresses, latitude:p.coords.latitude, longitude:p.coords.longitude,
			accuracy:p.coords.accuracy, speed: p.coords.speed};
	onJsSDKCallBack(0, method, result);
}

//监听扫码返回
window.addEventListener("onScanQRCodeResult", function(event){
	var result = event.detail.result;
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "startScanQRCode", result);
		onJsSDKCallBack(0, "setLocalNavRightButton", {scanResult:result});
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "startScanQRCode", "用户取消");
		onJsSDKCallBack(2, "setLocalNavRightButton", "用户取消");
	}
});

//监听卡激活返回
window.addEventListener("onActiveCardResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalCardActive", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalCardActive", "用户取消");
	}
});
//监听绑卡返回
window.addEventListener("onBindCardResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalBindCard", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalBindCard", "用户取消");
	}
});
//监听认证返回
window.addEventListener("onAuthResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalCertification", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalCertification", "用户取消");
	}
});
//监听收银台认证返回
window.addEventListener("onWalletAuthResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalWalletStatus", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalWalletStatus", "用户取消");
	}
});
//监听添加银行卡返回
window.addEventListener("onWalletAddBankResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalWalletStatus", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalWalletStatus", "用户取消");
	}
});
//监听支付密码弹框结果
window.addEventListener("onPayPwdPopResult", function(event){
	var status = event.detail.status;
	var result = event.detail.result;
	if(status == 'ok'){ 
		onJsSDKCallBack(0, "openLocalPayPwdPop", result);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalPayPwdPop", "用户取消");
	}
});
//监听设置密码返回
window.addEventListener("onSetPayPwdResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){ 
		onJsSDKCallBack(0, "openLocalSetPayPwd", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalSetPayPwd", "用户取消");
	}
});
//监听农行签约认证返回
window.addEventListener("onAbcAuthResult", function(event){
	var status = event.detail.status;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalAbcAuth", true);
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalAbcAuth", "用户取消");
	}
});
//监听选择学校返回
window.addEventListener("onSchoolSelectResult", function(event){
	var status = event.detail.status;
	var schoolCode = event.detail.schoolCode;
	var schoolName = event.detail.schoolName;
	if(status == 'ok'){
		onJsSDKCallBack(0, "openLocalSchoolSelect", {"schoolCode":schoolCode, "schoolName":schoolName});
	}else if(status == 'cancel'){
		onJsSDKCallBack(2, "openLocalSchoolSelect", "用户取消");
	}
});
//监听公共打开页面 页面关闭事件
window.addEventListener("onOpenCommonPageResult", function(event){
	var status = event.detail.status;
	onJsSDKCallBack(0, "openLocalCommonPage", status);
});

//图片分享（先保存本地再分享）
function shareLocalPicture(data){
	if(!data){
		toast("分享图片失败");
		return;
	}
	//HTTP图片分享
	if(data.indexOf("http") == 0){
		showWaiting();
		plus.downloader.createDownload(data, {
			filename: "_downloads/images/"
		}, function(d, status) {
			closeWaiting();
			if(status != 200){
				toast("分享图片失败");
				return;
			}
			mui.fire(shareDialog, "onShareCallListener", {
				type: 'image', imgUrl: d.filename
			});
		}).start();
		return;
	}
	//base64图片分享
	var bitmap = new plus.nativeObj.Bitmap('shareBitmap');
	bitmap.loadBase64Data(data, function(){
		var savePicPath = "_downloads/images/share_" + new Date().getTime() + ".jpg";
		bitmap.save(savePicPath,{
			overwrite: true,
			quality: 100
		}, function(i){
			mui.fire(shareDialog, "onShareCallListener", {
				type: 'image', imgUrl: savePicPath
			});
		}, function(e){
			closeWaiting();
			toast("分享图片失败");
		});
	}, function(){
		toast("分享图片失败");
	});
}

//调用本地弹窗(toast/alert/dialog/loading等)
function callLocalAppCommonPop(url){
	var type = getParamByName(url, "type");
	if(!type) return onJsSDKCallBack(1, "callLocalAppCommonPop", "参数异常");
	switch (type){
	case 'toast': //显示toast
		toast(getParamByName(url, "content"));
		break;
	case 'alert': //显示提示框
		plus.nativeUI.alert(getParamByName(url, "content"));
		break;
	case 'showLoading': //显示等待框
		plus.nativeUI.showWaiting('');
		break;
	case 'closeLoading': //关闭等待框
		plus.nativeUI.closeWaiting();
		break;
	case 'dialog': //显示选择对话框
		var title = getParamByName(url, "title");
		var content = getParamByName(url, "content");
		var lBtnTxt = getParamByName(url, "lBtnTxt");
		var rBtnTxt = getParamByName(url, "rBtnTxt");
		confirmDialog(title, content, lBtnTxt, rBtnTxt, function(){
			onJsSDKCallBack(0, "callLocalAppCommonPop", {clickIndex:0});
		}, function(){
			onJsSDKCallBack(0, "callLocalAppCommonPop", {clickIndex:1});
		});
		break;
	default:
		break;
	}
	if(type != 'dialog') onJsSDKCallBack(0, "callLocalAppCommonPop", true);
}

/**
 * 更新弹窗操作
 */
function onMoreDialogClick(type){
	if(!type) return;
	switch (type){
		case "web": //在浏览器中打开
			plus.runtime.openURL(subpageGetUrl());
			break;
		case "copy": //复制链接
			copyLink(subpageGetUrl());
			break;
		case "refresh": //刷新页面
			showWaiting();
			subPage.reload(false);
			if(plus.os.name == "Android") return;
			setTimeout(function() {
				closeWaiting(); 
			}, 2000);
			break;
		default:
			break;
	}
}
/*
 * 获取当前页面链接
 */
function subpageGetUrl(){
	return plus.os.name == "iOS" ? subPageLoadedUrl : subPage.getURL();
}
