//请求码
var QUERY_LIST = 1001;
//初始化vue
var vueObj = new Vue({
	el: '#main',
	data: {
		province:null,//省份
		provinceCode:null,//省份code
		datas: [], //省份列表
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function() {
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//滚动初始化
			mui('.mui-scroll-wrapper').scroll();
			vueObj.province = plus.webview.currentWebview().province;
			vueObj.provinceCode = plus.webview.currentWebview().provinceCode;
			document.getElementById("title").innerHTML = vueObj.province;
			vueObj.loadData();	
		});
	},
	methods: {
		/*
		 * 查询省份列表
		 */
		loadData: function(){
			webCall2("/common/area/getCityList", {
				provinceCode:vueObj.provinceCode
			}, QUERY_LIST, vueObj.onSuccess, vueObj.onErrorBefore);
		},
		/**
		 * 选择城市
		 */
		onSelect: function(e) {
			//触发监听的自定义事件
			var schoolWeb = plus.webview.getWebviewById("selectSchool");
			if(schoolWeb){
				mui.fire(schoolWeb, "onUserCityChange", { 
					province: vueObj.province,
					provinceCode: vueObj.provinceCode,
					city: e.currentTarget.dataset.city,
					cityCode:e.currentTarget.dataset.code,
				});
			}
			closeWebview("schoolProvince");
			closeWebview("schoolCity");
		},
		/**
		 * 接口访问成功返回
		 */
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch(requestCode){
			case QUERY_LIST: //查询学校列表
				vueObj.datas = data.rows;
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问失败返回
		 */
		onErrorBefore: function(resultCode, resultMsgDesc){
			onError(resultCode, resultMsgDesc);
			closeWaiting();
		}
	}
});