//请求码
var QUERY_LOGOFF_ACCOUNT = 1001;
//vue初始化
var vueObj = new Vue({
	el: "#main",
	data: {
		userPhone: '', //用户手机号
		reasonText:'',//失败原因
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//滚动初始化
			mui('.mui-scroll-wrapper').scroll();
			vueObj.userPhone = getCache(USER_PHONE_KEY);
		});
	},
	methods: {
		/*
		 * 查询是否可以注销账号
		 */
		queryLogoffAccount: function(){
			document.activeElement.blur();
			showWaiting();
			webCall2("/compus/user/validDeleteUserCnd", {}, QUERY_LOGOFF_ACCOUNT, vueObj.onSuccess, vueObj.onErrorBefore);
		},
		/**
		 * 按钮点击分发
		 */
		onButtonClick: function(e) {
			switch (e.currentTarget.dataset.code){
			case "logoff": //注销账号
				//vueObj.queryLogoffAccount();
				plus.nativeUI.alert("校帅账号由运营商和配送管理员后台分配管理，请联系运营商和配送管理员申请", null, "提示", "确定");
				break;	
			case "cancel": //关闭弹框
				vueObj.closeOffPop();
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问成功返回
		 */
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch (requestCode){
			case QUERY_LOGOFF_ACCOUNT:
				openWindow("logoffIdentityVerify", "logoff_identity_verify.html", false, null);
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问失败返回
		 */
		onErrorBefore: function(resultCode, resultMsgDesc){
			closeWaiting();	
			vueObj.reasonText = resultMsgDesc;
			vueObj.showOffPop();
		},
		showOffPop: function() {
			document.getElementById("offPopParent").style.display = "block";
			document.getElementById("offPopover").classList.add("mui-active");
		},
		closeOffPop: function() {
			document.getElementById("offPopParent").style.display = "none";
			document.getElementById("offPopover").classList.remove("mui-active");
		}
	}
});
//弹窗禁止滑动
document.getElementById("offPopParent").addEventListener("touchmove", function(e){
	e.preventDefault();
	e.stopPropagation();
});