//请求码
var QUERY_WX_STATUS = 1001, QUERY_WX_UNTYING = 1002, APP_BIND_WECHAT = 1003;
//vue初始化
var vueObj = new Vue({
	el: "#main",
	data: {
		userPhone: null, //用户手机号
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//滚动初始化
			mui('.mui-scroll-wrapper').scroll();
			//监听手机号变化
			window.addEventListener("userPhoneChange", function(event){
				vueObj.userPhone = getCache(USER_PHONE_KEY);
			});
			initShareServices(plus.webview.currentWebview());
			vueObj.userPhone = getCache(USER_PHONE_KEY);
		});
	},
	methods: {
		/**
		 * 按钮点击分发
		 */
		onButtonClick: function(e) {
			switch (e.currentTarget.dataset.code){
			case "phone": //更换手机号
				openWindow("modifyPhoneFirst", "modify_phone_first.html", false, null);
				break;
			case "pwd": //修改登录密码
				openWindow("modifyPwd", "../login/modify_pwd.html", false, null);
				break;
			case "logoff": //注销账号
				openWindow("logoffAccount", "logoff_account.html", false, null);
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问成功返回
		 */
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch (requestCode){
			case "": //
				
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问失败返回
		 */
		onErrorBefore: function(resultCode, resultMsgDesc){
			closeWaiting();	
			onError(resultCode, resultMsgDesc);
		}
	}
});