mui.init();
var subpages = ['home/home_main.html', 'shop/shop_main.html', 'center/center_main.html'];
var subpage_style = {
	top: '0',
	bottom: '51px',
	contentAdjust: false  
};
var aniShow = {};
var loadedNum = 0;
var activityPop;//活动弹框
var marketingPop;//营销弹框
var isHomeLoaded = false;//首页是否加载完成
//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	unfullscreen();
	safeareaBottom();
	setStatusBarDefault();
	removeCache(TAB_WEBVIEW_LOADED);
	var self = plus.webview.currentWebview();
	// 关闭侧滑返回功能
	self.setStyle({'popGesture':'none'});
	var subs = [];
	for (var i = 0; i < 3; i++) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		subs[i] = sub;
		sub.hide();
		if (i == 0) {
			showWaiting();
			sub.addEventListener('loaded',function() { //主面加载完成后才显示
				closeWaiting();
				//关闭启动页
				plus.navigator.closeSplashscreen();
				loadedNum++;
				subs[0].show();
				temp[subpages[i]] = "true";
				mui.extend(aniShow,temp);
				//触发启动页广告事件
				mui.fire(plus.webview.getLaunchWebview(), "onStartAdClickListener", {});
				//触发第三方应用打开页面事件
				mui.fire(plus.webview.getLaunchWebview(), "onThirdJumpPageListener", {});
				isHomeLoaded = true;
				//onOpenHomeActivetyPop();
				onWebviewLoaded(loadedNum);
			});
		}else{
			sub.addEventListener('loaded',function(e) {
				//关闭启动页
				plus.navigator.closeSplashscreen();
				loadedNum++;
				onWebviewLoaded(loadedNum);
			});
		}
		self.append(sub);
	}
	//刷新相关页面
	mui.fire(plus.webview.getLaunchWebview(), "onStartQrcodeListener", {});
	mui.fire(plus.webview.getWebviewById("shop/shop_main.html"), "onUserInfoChange", {});
	mui.fire(plus.webview.getWebviewById("home/home_main.html"), "onUserInfoChange", {});
});

//当前激活选项
var activeTab = subpages[0];

//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function(e) {
	//处理启动应用后，快速点击其他tab导致高亮，但是页面没切换
	if(loadedNum < 3){
		var that = this;
		setTimeout(function(){
			that.classList.remove('mui-active');
			document.getElementById("homeTab").classList.add('mui-active');
		}, 300);
		return;
	}
	var targetTab = this.getAttribute('href');
	var that = this;
	var tabStr = this.querySelector('.mui-tab-label').innerHTML;
	setTimeout(function() {
		// 切换选项卡高亮增加延时验证（应对选项卡同时按下后可能出现选项卡高亮和页面不匹配的问题）
		var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
		if(activeTab != current.getAttribute('href')) {
			current.classList.remove('mui-active');
			that.classList.add('mui-active');
		}
	}, 300);
	if(tabStr == '店铺') {
		setStatusBarMain();
		var thirdWeb = plus.webview.getWebviewById(subpages[1]);
		if(thirdWeb) {
			thirdWeb.evalJS("vueObj.firstLoadData();");
		}
	} else if(tabStr == '我的') {
		setStatusBarMain();
		var fourthWeb = plus.webview.getWebviewById(subpages[2]);
		if(fourthWeb) {
			fourthWeb.evalJS("vueObj.firstLoadData();");
		}
	} else {
		setStatusBarDefault();
	}
	if (targetTab == activeTab) {
		return;
	}
	
	//显示目标选项卡
	//若为非首次显示，则直接显示
	if(aniShow[targetTab]){
		plus.webview.show(targetTab);
	}else{
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow,temp);
		plus.webview.show(targetTab, "fade-in", 300);
	}
	//更改当前活跃的选项卡
	activeTab = targetTab;
	statisticEvent("homeButtonClickTime", {"btnType":activeTab});
});
 //自定义事件，模拟点击“选项卡”
window.addEventListener('onClickTap', function(event) {
	var clickTab = document.getElementById(event.detail.id);
	//模拟首页点击
	mui.trigger(clickTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (clickTab !== current) {
		current.classList.remove('mui-active');
		clickTab.classList.add('mui-active');
	}
});

//首页返回键处理
mui.back = function() {
	//退出应用到后台
	var main = plus.android.runtimeMainActivity();
	main.moveTaskToBack(false);
};
window.addEventListener("mainBack", function(event){
	mui.back();
});
/*
 * tab页全部加载完 通知其他页面刷新图片
 */
function onWebviewLoaded(loadedNum){
	if(loadedNum < 3) return;
	setCache(TAB_WEBVIEW_LOADED, true);
	mui.fire(plus.webview.getWebviewById("home/home_main.html"), "onMainWebviewLoaded", {});
	mui.fire(plus.webview.getWebviewById("shop/shop_main.html"), "onMainWebviewLoaded", {});
	mui.fire(plus.webview.getWebviewById("center/center_main.html"), "onMainWebviewLoaded", {});
}

//打开营销或者活动弹框
function onOpenHomeActivetyPop(){
	if(!isHomeLoaded)return;
	if(activityPop){
		plus.webview.currentWebview().append(activityPop);
		return;
	}
	if(marketingPop){
		plus.webview.currentWebview().append(marketingPop);
	}
	
}
//监听打开活动弹窗事件
window.addEventListener("openActivityPopListener", function(event){
	activityPop = plus.webview.create('app/activity_pop.html', 'activity_pop', {
		top: '0',
		bottom: '0',
		background: 'transparent',
		contentAdjust: false
	},{
		activityObj:event.detail,
		statusBarType:getCurrentStatusBarType()
	});
	onOpenHomeActivetyPop();
	activityPop.hide();
});

//监听打开营销弹窗事件
window.addEventListener("openMarketingPopListener", function(event){
	marketingPop = plus.webview.create('app/marketing_pop.html', 'marketing_pop', {
		top: '0',
		bottom: '0',
		background: 'transparent',
		contentAdjust: false
	},{
		marketingObj:event.detail.marketingData,
		statusBarType:getCurrentStatusBarType()
	});
	onOpenHomeActivetyPop();
	marketingPop.hide();
});

/*
 * 是否为iOS 和 刘海屏 如果是底部增加安全距离
 */
function safeareaBottom(){
	if(plus.os.name == "Android")return;
	var screenWidth = plus.screen.resolutionWidth;
	var screenHeight = plus.screen.resolutionHeight;
	if((screenWidth == 375 && screenHeight == 812) || (screenWidth == 414 && screenHeight == 896)){
		document.getElementById("navBar").style.paddingBottom = "34px";
		subpage_style.bottom = "85px";
	}else {
		document.getElementById("navBar").style.paddingBottom = "0px";
		subpage_style.bottom = "51px";
	}
}