var myScrolls = [], sliderIndex = 0, isLoadingMore = [], isNoMore = [], starts = [0, 0, 0];
//请求码
var QUERY_LISTS = [1001, 1002, 1003];
/*初始化vue*/
var vueObj = new Vue({
	el: '#main',
	data: {
		datas: [[], [], []],
		role: 2, //角色
		startTime: null,
		endTime: null,
		startTime2: null,
		endTime2: null,
		startTime3: null,
		endTime3: null,
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			var self = plus.webview.currentWebview();
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//监听时间选择
			window.addEventListener("onDateUpdate", function(event){
				if(sliderIndex === 0){
					vueObj.startTime = event.detail.startTime;
					vueObj.endTime = event.detail.endTime;
				}else if(sliderIndex === 1){
					vueObj.startTime2 = event.detail.startTime;
					vueObj.endTime2 = event.detail.endTime;
				}else{
					vueObj.startTime3 = event.detail.startTime;
					vueObj.endTime3 = event.detail.endTime;
				}
				starts[sliderIndex] = 0;
				vueObj.loadData(sliderIndex);
			});
			vueObj.startTime = formatDate(new Date().getTime());
			vueObj.startTime2 = vueObj.endTime2 = vueObj.startTime3 = vueObj.endTime3 = vueObj.endTime = vueObj.startTime;
			//加载数据
			vueObj.loadData(0);
		});
	},
	methods: {
		/**
		 * 加载数据
		 */
		loadData: function(index) {
			var params = {
				offset: starts[index],
				limit: 20
			};
			var requestUrl = "";
			switch (index){
				case 0:
					requestUrl = "/app/delivery/oms/order/staticListData";
					params.groupType = index + 1;
					params.role = index===0?vueObj.role:'';
					params.timeStart = vueObj.startTime;
					params.timeEnd = vueObj.endTime;
					break;
				case 1:
					requestUrl = "/app/delivery/oms/statistics/deliveryShopStatistics";
					params.createTimeStart = vueObj.startTime2;
					params.createTimeEnd = vueObj.endTime2;
					break;
				case 2:
					requestUrl = "/app/delivery/oms/statistics/deliveryPayTypeStatistics";
					params.createTimeStart = vueObj.startTime3;
					params.createTimeEnd = vueObj.endTime3;
					break;	
				default:
					break;
			}
			webCall2(requestUrl, params, QUERY_LISTS[index], vueObj.onSuccess, vueObj.onErrorBefore);
		},
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch (requestCode){
			case QUERY_LISTS[0]:
			case QUERY_LISTS[1]:
			case QUERY_LISTS[2]:
				//判断当前数据是加载的第几个tab
				var oprationIndex = 0;
				for(var i=0; i<QUERY_LISTS.length; i++){
					if(requestCode == QUERY_LISTS[i]){
						oprationIndex = i;
						break;
					}
				}
				if(oprationIndex < 0 || oprationIndex > 2) return;
				//更新数据
				vueObj.datas[oprationIndex] = ( starts[oprationIndex] == 0 ? data.rows : vueObj.datas[oprationIndex].concat(data.rows));
				//使用Set方法更新数组
				Vue.set(vueObj.datas, oprationIndex, vueObj.datas[oprationIndex]);
				
				starts[oprationIndex] = vueObj.datas[oprationIndex].length;
				//无数据图
				setNoDataBackground("list" + oprationIndex, vueObj.datas[oprationIndex].length === 0, oprationIndex);
				document.getElementById("itemMobileSpan" + oprationIndex).style.display = vueObj.datas[oprationIndex].length < 4 ? "none" : "";
				closePullStatus(data.rows, oprationIndex);
				break;
			default:
				break;
			}
		},
		onErrorBefore: function(resultCode, resultMsgDesc, requestCode){
			onError(resultCode, resultMsgDesc);
			closePullStatus();
			closeWaiting();
			for(var i=0; i<QUERY_LISTS.length; i++){
				if(starts[i] == 0 && requestCode == QUERY_LISTS[i]){
					document.getElementById("itemMobileSpan" + i).style.display = "none";
				}
			}
		},
		/**
		 * 监听slider切换
		 */
		onSliderChange: function(e) {
			sliderIndex = e.detail.slideNumber;
			//关闭下拉上拉刷新
			closePullStatus();
			//切换后数据为空，则加载数据
			if(vueObj.datas[sliderIndex].length <= 0){
				starts[sliderIndex] = 0;
				vueObj.loadData(sliderIndex);					
			}
		},
		onButtonClick: function(e) {
			switch (e.currentTarget.dataset.type){
			case 'date': //时间选择
				openWindow("selectDate", "../common/select_date.html", false, {
					mode: 2,
					hideMode: true,
					startTime: sliderIndex===0?vueObj.startTime:(sliderIndex===1?vueObj.startTime2:vueObj.startTime3),
					endTime: sliderIndex===0?vueObj.endTime:(sliderIndex===1?vueObj.endTime2:vueObj.endTime3),
					isMust: true
				});
				break;
			case 'role': //角色选择
				var buttons = [{title:"取餐员",value:2},{title:"分拣员",value:3},{title:"跑楼员",value:5}];
				plus.nativeUI.actionSheet({
					title: "角色选择",
					cancel: "取消",
					buttons: buttons
				}, function(e){
						if(e.index < 1 || vueObj.role === buttons[e.index-1].value) return;
						vueObj.role = buttons[e.index-1].value;
						starts[sliderIndex] = 0;
						vueObj.loadData(sliderIndex);
					}
				);
				break;
			case 'pay'://支付方式点击
				openWindow("orderStaticsShop", "order_statics_shop.html", false, {
					startTime: vueObj.startTime3,
					endTime: vueObj.endTime3,
					payType:e.currentTarget.dataset.payType
				});
				break;
			default:
				break;
			}
		}
	}
});

/*iscroll下拉刷新组件初始化需要*/
(function($) {
	$(function() {
		var pullDownAction = function() {
			isNoMore[sliderIndex] = false;
			setTimeout(function() {
				starts[sliderIndex] = 0;
				vueObj.loadData(sliderIndex);
			}, 300);
		};
		var pullLoadMoreAction = function() {
			if (isLoadingMore[sliderIndex]) {
				return;
			}
			if (isNoMore[sliderIndex]) {
				myScrolls[sliderIndex].refresh();
				return;
			};
			setTimeout(function() {
				isLoadingMore[sliderIndex] = true;
				vueObj.loadData(sliderIndex);
			}, 300);
		};
	
		//初始化下拉刷新
		for (var i = 0; i < 3; i++) {
			myScrolls[i] = iscrollAssist.newVerScrollForPull($('#list' + i), pullDownAction, pullLoadMoreAction);
			myScrolls[i].refresh();
			isLoadingMore[i] = false;
			isNoMore[i]= false;
		}
	});
})(mui);

/**
 * 关闭上拉/下拉刷新 
 */
function closePullStatus(data, oprationIndex) {
	if(data){
		document.getElementById("itemMobileSpan" + oprationIndex).innerHTML = data.length < 20 ? "没有更多数据了" : "正在加载...";
		isNoMore[oprationIndex] = data.length < 20;
		isLoadingMore[oprationIndex] = (starts[oprationIndex] > 0) ? false : true;
	}
	//刷新列表
	Vue.nextTick(function(){
		for(var i=0; i<myScrolls.length; i++){
			myScrolls[i].refresh();
		}
		setTimeout(function(){
			myScrolls[sliderIndex].refresh();
		}, 200);
	});
}

// 设置背景
function setNoDataBackground(elementId, isNoData, oprationIndex) {
	if(isNoData) {
		document.getElementById(elementId).style.backgroundSize = "100% auto";
		document.getElementById(elementId).style.backgroundRepeat = "no-repeat";
		document.getElementById(elementId).style.backgroundPosition = "center";
	}
	document.getElementById(elementId).style.backgroundImage =  isNoData ? "url(../../img/no_content_bg.png)" : "none";
	document.getElementById("itemMobileSpan"+ oprationIndex).style.display = isNoData ? "none" : "";
}