var self;
//初始化Vue
var vueObj = new Vue({
	el: '#main',
	data: {
		eacctStatus: 0, //钱包状态
		type: null, //icbc：融E购，app：应用授权
		subType: null, //wallet：钱包未开户弹窗 auth：授权
		appAuthTxt: null, //应用授权文案
		appAuthLogo: null, //应用logo
		appAuthName: null, //应用名称
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				plus.webview.currentWebview().hide();
				return false;
			}
		});
		mui.plusReady(function(){
			self = plus.webview.currentWebview();
			//监听分享弹框变化
			window.addEventListener("showCommonDialog", function(event){
				vueObj.eacctStatus = getEacctStatus('ICBC');
				if(event.detail.type) vueObj.type = event.detail.type;
				if(event.detail.subType) vueObj.subType = event.detail.subType;
				if(event.detail.appAuthTxt) vueObj.appAuthTxt = event.detail.appAuthTxt;
				if(event.detail.appAuthLogo) vueObj.appAuthLogo = event.detail.appAuthLogo;
				if(event.detail.appAuthName) vueObj.appAuthName = event.detail.appAuthName;
				vueObj.showHidePop();
			});
		});
	},
	methods: {
		/**
		 * 显示页面
		 */
		showHidePop: function(){
			if(!self.isVisible()) {
				self.show();
			}
		},
		/*
		 * 按钮点击
		 */
		onButtonClick: function(e) {
			switch(e.currentTarget.dataset.type) {
				case "wallet": //开户状态
					openAuthPage(null, "ICBC_EBUY", null, null, null, 'ICBC');
					break;
				case "icbcAuth": //融E购确认授权
					mui.fire(self.opener(), "onIcbcAuthSureBack", {});
					break;
				case "appAuth": //应用确认授权
					mui.fire(self.opener(), "onAppAuthSureBack", {});
					break;
				default:
					break;
			}
			//界面消失
			self.hide();
		},
	}
});