//请求码
var QUERY_LIST = 1001;
//初始化vue
var vueObj = new Vue({
	el: '#main',
	data: {
		datas: [], //省份列表
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function() {
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//滚动初始化
			mui('.mui-scroll-wrapper').scroll();
			vueObj.loadData();	
		});
	},
	methods: {
		/*
		 * 查询省份列表
		 */
		loadData: function(){
			webCall2("/common/area/getProvinceList", null, QUERY_LIST, vueObj.onSuccess, vueObj.onErrorBefore);
		},
		/**
		 * 选择省份
		 */
		onSelect: function(e) {
			openWindow("schoolCity", "school_city.html", false, {
				province:e.currentTarget.dataset.province,
				provinceCode:e.currentTarget.dataset.code,
				statusBarType:STATUS_BAR_DEFAULT_KEY
			}, null, false);
		},
		/**
		 * 接口访问成功返回
		 */
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch(requestCode){
			case QUERY_LIST: //查询学校列表
				vueObj.datas = data.rows;
				break;
			default:
				break;
			}
		},
		/**
		 * 接口访问失败返回
		 */
		onErrorBefore: function(resultCode, resultMsgDesc){
			onError(resultCode, resultMsgDesc);
			closeWaiting();
		}
	}
});