var UNTIE_BANK_CARD = 1001;
//vue初始化
var vueObj = new Vue({
	el: "#main",
	data: {
		realName: '',// 真实姓名
		bankNo: null, //银行卡号
		bankAbbName:'',//银行名称
		bankId:'',//银行卡id
		isLastBank:false,//是否最后一张银行卡
		isDefault:true,//是否默认银行卡 
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			vueObj.realName = getCache(WALLET_STATUS_INFO) ? JSON.parse(getCache(WALLET_STATUS_INFO)).legalerName : "";
			vueObj.bankNo = '**** **** **** ' + plus.webview.currentWebview().bankNo;
			vueObj.bankAbbName = plus.webview.currentWebview().bankAbbName;
			vueObj.bankId = plus.webview.currentWebview().bankId;
			vueObj.isLastBank = plus.webview.currentWebview().isLastBank;
			vueObj.isDefault = plus.webview.currentWebview().isDefault;
			//滚动初始化  
			mui('.mui-scroll-wrapper').scroll();
		});
	},
	methods: {
		/**
		 * 接口访问成功返回
		 * @param {Object} data
		 * @param {Object} requestCode
		 */
		onSuccess: function(data, requestCode) {
			closeWaiting();
			switch(requestCode) {
			case UNTIE_BANK_CARD: //解绑
				mui.fire(plus.webview.getWebviewById("walletBankList"), "onBankDeleteSuccess", {});
				toast("解绑成功");
				mui.back();
				break;	 
			default:
				break;
			}
		}, 
		/**
		 * 接口访问失败返回
		 * @param {Object} resultCode
		 * @param {Object} resultMsgDesc
		 */
		onErrorBefore: function(resultCode, resultMsgDesc, requestCode) {
			onError(resultCode, resultMsgDesc);
			closeWaiting();
		},
		/**
		 * 点击事件监听
		 */
		onButtonClick: function(e) {
			switch (e.currentTarget.dataset.type){
			case "delete": //删除
				confirmDialog('', "确定要删除此银行卡？", '确定', '取消', function sureCallback(){
					showWaiting();
					webCall2("/routestl/route/stl/account/cancelBindCard", {
						accountId:getCache(WALLET_ACCOUNT_ID),
						bindId:vueObj.bankId//银行卡id
					}, UNTIE_BANK_CARD, vueObj.onSuccess, vueObj.onErrorBefore);	
				});
				break;
			default:
				break;
			}
		},
	}
});