/** 网络请求码 */
var QUERY_DETAIL = 1001;
//初始化vue
var vueObj = new Vue({
	el: '#main',
	data: {
		billId: null,
		billData:{businessTypeName:''},
	},
	beforeMount: function() {
		mui.init({
			//监听返回事件
			beforeback: function() {
				setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				return true;
			}
		});
		mui.plusReady(function(){
			//状态栏设置
			setStatusBarDefault();
			plus.webview.currentWebview().addEventListener("popGesture", function(e) {
				if(e.type == 'start'){ //侧滑开始
					setUpViewStatusBar(plus.webview.currentWebview().statusBarType);
				}else if(e.type == 'end' && e.result === false){ //侧滑返回取消
					setStatusBarDefault();
				}
			}, false);
			//参数接收
			showWaiting();
			vueObj.billId = plus.webview.currentWebview().billId;
			webCall2("/routestl/route/stl/account/queryBillDetail",{accountId:getCache(WALLET_ACCOUNT_ID),billId:vueObj.billId}, QUERY_DETAIL, vueObj.onSuccess, vueObj.onErrorBefore);
		});
	},
	methods: {
		onSuccess: function(data, requestCode){
			closeWaiting();
			switch (requestCode){ 
			case QUERY_DETAIL:
				vueObj.billData = data.data;
				break;
			default:
				break;
			}
		},
		onErrorBefore: function(resultCode, resultMsgDesc, requestCode){
			onError(resultCode, resultMsgDesc);
			closeWaiting();
		},
		/*
		 * 点击事件
		 */
		onButtonClick: function(e){
			switch (e.currentTarget.dataset.type){
				case 'back':
					mui.back();
					break;	
				default:
					break;
			}	
		},
	}
});